# Generated by Makefile. Do not edit.


commit 6bda198560b682d615f0ce48afc1892c6dfb2def
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 19:48:40 2014 +0900

    update po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/de.po    | 83 +++++++++++++++++++++++++++++++++++++------------------------
 po/es.po    | 83 +++++++++++++++++++++++++++++++++++++------------------------
 po/fi.po    | 83 +++++++++++++++++++++++++++++++++++++------------------------
 po/fr.po    | 81 +++++++++++++++++++++++++++++++++++------------------------
 po/pt_BR.po | 83 +++++++++++++++++++++++++++++++++++++------------------------
 5 files changed, 252 insertions(+), 161 deletions(-)

commit 7ac5706ff8cba6c60d8b972ec725fabb88ff0687
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 18:38:58 2014 +0900

    appdata: update images size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/appdata/org.gnome.GPaste.AppIndicator.appdata.xml.in | 2 +-
 data/appdata/org.gnome.GPaste.Applet.appdata.xml.in       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8b333193b7eb561ff296846e36df413f7090b681
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 18:30:04 2014 +0900

    libgpaste-client: fix get_version
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7d0f63ae83d7b66d2a19c85382070c65300bc232
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 18:23:02 2014 +0900

    gpaste: add daemon-version
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/completions/_gpaste              | 1 +
 data/completions/gpaste               | 2 +-
 libgpaste/client/libgpaste-client.sym | 1 +
 man/1/gpaste.1                        | 4 ++++
 src/gpaste/gpaste.c                   | 8 ++++++++
 5 files changed, 15 insertions(+), 1 deletion(-)

commit 539ff2a44ef00f015d75ed46aa8f5c8726dba3ee
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 18:16:58 2014 +0900

    gpaste-client: add get_version
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c                        | 17 +++++++++++++++++
 libgpaste/client/gpaste-client.h                        |  3 ++-
 libgpaste/core/gpaste-gdbus-macros.h                    |  2 +-
 .../gnome-shell-client/gpaste-gnome-shell-client.c      |  4 ++--
 .../gnome-shell-client/gpaste-gnome-shell-client.h      |  6 +++---
 tests/gnome-shell-client/test-gnome-shell-client.c      |  2 +-
 6 files changed, 26 insertions(+), 8 deletions(-)

commit 531aafed4a197a00204e6460dde0846f6ec1cd1b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 18:10:45 2014 +0900

    libgpaste-daemon: add new Version property
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-gdbus-defines.h | 5 ++++-
 libgpaste/daemon/gpaste-daemon.c      | 2 ++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 3c8b96b8f998094744600bbea112ffbfd187c425
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 18:08:02 2014 +0900

    gpaste: update man & completions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/completions/_gpaste | 3 ++-
 data/completions/gpaste  | 2 +-
 man/1/gpaste.1           | 8 ++++++--
 3 files changed, 9 insertions(+), 4 deletions(-)

commit b7b072d876aa85904300ccf4dbec13f45befcb4d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 18:03:37 2014 +0900

    gpaste: add raw-*
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 29 +++++++++++++++++++----------
 1 file changed, 19 insertions(+), 10 deletions(-)

commit dc674eea35ee4d8978d7afea019819a09663725d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 17:57:42 2014 +0900

    gpaste: reorder
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 146 ++++++++++++++++++++++++++--------------------------
 1 file changed, 72 insertions(+), 74 deletions(-)

commit f32c60a04416d2fe79476810377924c2bb4ace8d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 17:50:30 2014 +0900

    ligbpaste-applet: item: switch back to activate for unity
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-item.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 7a82e924a68e4b7a838836e12215659891878404
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 17:48:33 2014 +0900

    libgpaste-applet: switch: add back activate for unity
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-switch.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 04a3a0354241595ba626a4a32afd214a89825bd7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 25 17:44:04 2014 +0900

    libgpaste-applet: item: remove text_mode
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-history.c | 35 +-------------------------------
 libgpaste/applet/gpaste-applet-history.h |  3 ---
 libgpaste/applet/gpaste-applet-item.c    | 33 +-----------------------------
 libgpaste/applet/gpaste-applet-item.h    |  3 ---
 libgpaste/applet/gpaste-applet.c         |  4 ++--
 libgpaste/applet/libgpaste-applet.sym    |  4 +---
 6 files changed, 5 insertions(+), 77 deletions(-)

commit 82e2e0621cef5f34a8b899bb501d908f3bb12f6f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 20:41:13 2014 +0900

    libgpaste-client: get_raw_*
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c      | 709 ++++++++++++++++++++--------------
 libgpaste/client/gpaste-client.h      | 130 ++++---
 libgpaste/client/libgpaste-client.sym |   6 +
 libgpaste/core/gpaste-macros.h        |  36 +-
 4 files changed, 508 insertions(+), 373 deletions(-)

commit 4a290d761288018408b2a92c9f16ef6b20124f0c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 20:25:35 2014 +0900

    libgpaste-daemon: add GetRawElement and GetRawHistory
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-gdbus-defines.h |  57 +++---
 libgpaste/core/gpaste-history.c       |  22 +++
 libgpaste/core/gpaste-history.h       |  26 +--
 libgpaste/core/libgpaste-core.sym     |   1 +
 libgpaste/daemon/gpaste-daemon.c      | 352 +++++++++++++++++++---------------
 5 files changed, 266 insertions(+), 192 deletions(-)

commit 643e294f1cb2789ff161c78147d0033e88823de7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 19:54:45 2014 +0900

    libgpaste-daemon: make GetElement return the display str
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/daemon/gpaste-daemon.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ddb2655c855ba97518d5d64da4b035c99b4554ce
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 19:01:39 2014 +0900

    libgpaste-core: fix gpaste-image-item display str
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-image-item.c | 25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)

commit 08d40c2348d6c7684e95cae47404225d2efb150c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 16:18:57 2014 +0900

    libgpaste-applet: don't use NULL event
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-icon.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed557b56e40cc4e5a8021bea850079b867ffca1d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 16:03:32 2014 +0900

    libgpaste-applet: history: add text-mode
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-history.c | 36 ++++++++++++++++++++++++++++++--
 libgpaste/applet/gpaste-applet-history.h |  3 +++
 libgpaste/applet/gpaste-applet.c         | 10 +++++----
 libgpaste/applet/libgpaste-applet.sym    |  1 +
 4 files changed, 44 insertions(+), 6 deletions(-)

commit 0f654c0b99fd234b2e8254a6df3a890a8eca9859
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 15:59:51 2014 +0900

    ligbpaste-applet: item: add text mode
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-item.c | 33 +++++++++++++++++++++++++++++++--
 libgpaste/applet/gpaste-applet-item.h |  3 +++
 libgpaste/applet/gpaste-applet-menu.c |  2 +-
 libgpaste/applet/libgpaste-applet.sym |  1 +
 4 files changed, 36 insertions(+), 3 deletions(-)

commit da607da745459abca61e6bcc99600dd76a5a6381
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 15:10:22 2014 +0900

    libgpaste-applet: item: use button_release_event
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-item.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 098f30b9882aab55045e4f83c1d8b571c1eb6edf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 14:48:12 2014 +0900

    ligbpaste-applet: remove FIXME
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-item.c | 1 -
 1 file changed, 1 deletion(-)

commit 3d2b64dd92bf7266cd7815fd6a5e71e36cb70b3e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 14:42:37 2014 +0900

    libgpaste-applet: refactor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-header.c | 11 ++++++----
 libgpaste/applet/gpaste-applet-header.h |  3 ++-
 libgpaste/applet/gpaste-applet-menu.c   | 11 ++++++----
 libgpaste/applet/gpaste-applet-menu.h   |  3 ++-
 libgpaste/applet/gpaste-applet-switch.c | 17 ++++++++------
 libgpaste/applet/gpaste-applet-switch.h |  3 ++-
 libgpaste/applet/gpaste-applet.c        | 39 +++++++++++++++++++++++++++++++--
 libgpaste/applet/gpaste-applet.h        |  3 +++
 libgpaste/applet/libgpaste-applet.sym   |  5 +++--
 9 files changed, 73 insertions(+), 22 deletions(-)

commit f80cdbc5e507a2ab6e9c22a5f35b6c829b5eb10a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 14:20:22 2014 +0900

    libgpaste-applet: pass correct button to menu popup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-icon.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 7d50036af21cb5385dbe671bc5c8a226b7657933
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 10:46:31 2014 +0900

    libgpaste-applet: make switch usable on unity
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-header.c | 17 ++++++++++++++++
 libgpaste/applet/gpaste-applet-header.h |  2 ++
 libgpaste/applet/gpaste-applet-menu.c   | 17 ++++++++++++++++
 libgpaste/applet/gpaste-applet-menu.h   |  2 ++
 libgpaste/applet/gpaste-applet-switch.c | 36 +++++++++++++++++++++++++++++----
 libgpaste/applet/gpaste-applet-switch.h |  2 ++
 libgpaste/applet/gpaste-applet.c        |  1 +
 libgpaste/applet/libgpaste-applet.sym   |  3 +++
 8 files changed, 76 insertions(+), 4 deletions(-)

commit 239f433f120f7b832e7b413d38d604251e3d6569
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 24 10:26:59 2014 +0900

    libgpaste-applet: don't close on switch
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-switch.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit 735a391e27a9646336a00c3311c778a54511d2c6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 23 19:51:13 2014 +0900

    libgpaste-core: fix assertion
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-image-item.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c726db3a7170dda549b298106aa0542178f10836
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 23 18:11:00 2014 +0900

    appdata: update screenshots data
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/appdata/org.gnome.GPaste.AppIndicator.appdata.xml.in | 10 +++++-----
 data/appdata/org.gnome.GPaste.Applet.appdata.xml.in       | 10 +++++-----
 data/appdata/org.gnome.GPaste.Settings.appdata.xml.in     |  8 ++++----
 3 files changed, 14 insertions(+), 14 deletions(-)

commit 6ddc50384d5698743f4a3eb87f8bceb2f4d661e4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 23 17:53:11 2014 +0900

    libgpaste-settings-ui: cosmetic tweak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-panel.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit ba5cf272b14f14ffce74862d45d71dc0f6f8231b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 23 10:30:32 2014 +0900

    libgpaste-applet: don't close on delete
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                    | 4 ----
 libgpaste/applet/gpaste-applet-delete.c | 2 +-
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 86f8448dfd73488cbcbf879038bc9910e783d0f7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 23 09:28:28 2014 +0900

    libgpaste-applet: mark application allow-none
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-footer.c | 14 +++++++++-----
 libgpaste/applet/gpaste-applet-menu.c   |  4 ++--
 libgpaste/applet/gpaste-applet.c        | 19 ++++++++++++++-----
 3 files changed, 25 insertions(+), 12 deletions(-)

commit edf96b42c9e1420e67ed05dd5aa60859c118c092
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 23:14:35 2014 +0900

    about; update date
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/daemon/gpaste-daemon.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f1f6710b431b0bc0d53d3da5c835c0e8e0dd21ec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 23:09:56 2014 +0900

    update po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/POTFILES.in |  1 +
 po/de.po       | 17 +++++++++++------
 po/es.po       | 17 +++++++++++------
 po/fi.po       | 17 +++++++++++------
 po/fr.po       | 17 +++++++++++------
 po/pt_BR.po    | 17 +++++++++++------
 6 files changed, 56 insertions(+), 30 deletions(-)

commit 5d6fe221474b7082ca592c85e8de4a67db3989ff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 23:08:09 2014 +0900

    app-indicator: add man
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                         |  3 ---
 man/1.mk                     |  4 +++
 man/1/gpaste-app-indicator.1 | 59 ++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 63 insertions(+), 3 deletions(-)

commit f92b834e4f33cb7dd1a2e2fd16aae4f4f0acd224
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 23:03:47 2014 +0900

    gnome-shell: add about
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/gnome-shell/extension.js | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit be7be36e969794cb6a9fc42c232be429fc6a809b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 23:00:19 2014 +0900

    libgpaste: footer: add about
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-footer.c | 5 +++++
 libgpaste/applet/gpaste-applet-footer.h | 1 +
 2 files changed, 6 insertions(+)

commit 5a8b2704c4b7c7d1cad30a19b57bf57513ec0908
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 22:58:54 2014 +0900

    libgpaste-applet: add about
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                            |  3 +
 libgpaste/applet/gpaste-applet-about-private.h | 43 +++++++++++++
 libgpaste/applet/gpaste-applet-about.c         | 83 ++++++++++++++++++++++++++
 libgpaste/applet/gpaste-applet-about.h         | 44 ++++++++++++++
 libgpaste/applet/libgpaste-applet.sym          |  3 +
 5 files changed, 176 insertions(+)

commit 0560bfcf422ec41dbb61fb2367f04a115dc496af
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 22:49:58 2014 +0900

    status-icon: update man
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 man/1/gpaste-applet.1 | 21 ++++++++++-----------
 1 file changed, 10 insertions(+), 11 deletions(-)

commit 54b7957a7a70d31ab2facb806d7547aac00f7c55
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 22:34:56 2014 +0900

    fix link
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 README.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8cbc8a41761d3ca058d3e3acd234aeec908a737b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 22:25:50 2014 +0900

    Release GPaste 3.3.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	NEWS
    	README.md
    	bindings/gi.mk
    	configure.ac

 NEWS      | 5 +++++
 README.md | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 089b443b755bcee914de9351bb506e767c85ae3a
Author: Louis <louis@lpil.co.uk>
Date:   Fri Mar 21 19:28:07 2014 +0000

    Corrected README typos.

 README.md | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bf4b930a9fbac92b3bbafcb14c591fc9ffc77d2c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 11:32:34 2014 +0900

    build-sys: lower automake requirement
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7e7e59d5787145461da527dc3bdb844717632dfa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Mar 22 11:11:17 2014 +0900

    fix build on ubuntu
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 bindings/gi.mk              | 1 -
 src/gpaste-settings.mk      | 2 ++
 src/gpasted.mk              | 2 ++
 tests/gnome-shell-client.mk | 1 +
 4 files changed, 5 insertions(+), 1 deletion(-)

commit 2e656505ded5169307c1bb3a35e654642509fa8d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 14:02:42 2014 +0900

    configure: moar warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 02289351c1e6d585b10431444b074d90ef70928d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 13:59:25 2014 +0900

    fix clang warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/app-indicator/gpaste-app-indicator.c | 2 +-
 src/applets/status-icon/gpaste-applet.c          | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 75d39c4893a679759d081c7f3112f9de17628619
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 13:09:15 2014 +0900

    fix build with clang
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-gdbus-macros.h | 13 ++++++++-----
 libgpaste/core/gpaste-history.c      |  2 +-
 libgpaste/settings/gpaste-settings.c |  2 +-
 3 files changed, 10 insertions(+), 7 deletions(-)

commit d63a8870043497e81ab9c8407c67e6a50180eb3c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 12:59:24 2014 +0900

    gnome-shell: check for deps in configure
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac                         | 1 +
 src/applets/gnome-shell/extension.js | 9 ++++++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 13a66e162737f1012cbaf428a09b78e3038c9998
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 12:56:43 2014 +0900

    configure: display state of x keybinder
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

commit 5e076fc37e03f717368912cc1f4fae8f43465ff2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 12:55:36 2014 +0900

    fix distcheck
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/desktop.mk | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 3c32fcaf53322643931f2b5bca7f06213eb4c923
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 12:48:40 2014 +0900

    appdata: add name and summary
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../org.gnome.GPaste.AppIndicator.appdata.xml.in   |  2 +
 .../appdata/org.gnome.GPaste.Applet.appdata.xml.in |  2 +
 .../org.gnome.GPaste.Settings.appdata.xml.in       |  2 +
 po/de.po                                           | 58 ++++++++++++++--------
 po/es.po                                           | 58 ++++++++++++++--------
 po/fi.po                                           | 58 ++++++++++++++--------
 po/fr.po                                           | 52 +++++++++++--------
 po/pt_BR.po                                        | 58 ++++++++++++++--------
 8 files changed, 182 insertions(+), 108 deletions(-)

commit ca3fd6450fcb8f442b24e3d76123eaf28d9ac75e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 11:29:44 2014 +0900

    update translations
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../org.gnome.GPaste.AppIndicator.appdata.xml.in   |  4 +-
 .../appdata/org.gnome.GPaste.Applet.appdata.xml.in |  2 +-
 .../org.gnome.GPaste.Settings.appdata.xml.in       |  2 +-
 po/de.po                                           | 71 ++++++++++++++++----
 po/es.po                                           | 71 ++++++++++++++++----
 po/fi.po                                           | 71 ++++++++++++++++----
 po/fr.po                                           | 75 ++++++++++++++++++----
 po/pt_BR.po                                        | 71 ++++++++++++++++----
 8 files changed, 303 insertions(+), 64 deletions(-)

commit 609bbfd51919c9368f442a0aec76847d4495d105
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 11:21:01 2014 +0900

    update POTFILES
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .gitignore       | 1 +
 po/POTFILES.in   | 2 ++
 po/POTFILES.skip | 1 +
 3 files changed, 4 insertions(+)

commit 29ce06a88b73fac6ab341a386b474411ab1f56c1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 11:18:16 2014 +0900

    update completions
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/completions/_gpaste | 4 +++-
 data/completions/gpaste  | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit bad87962e5fd1aca0bd633441d656d210a5e09f1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 11:14:39 2014 +0900

    gpaste: add aliases for delete
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 5d4eb2ae842aa5324afe1024069aed37d53c60d8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 11:13:19 2014 +0900

    gpaste: add app-indicator
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit b74dda626dfcc1800c5da59fa169a93e67fd5eb9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 11:10:40 2014 +0900

    app-indicator: add appdata
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                               |  2 --
 data/appdata.mk                                    |  1 +
 .../org.gnome.GPaste.AppIndicator.appdata.xml.in   | 22 ++++++++++++++++++++++
 3 files changed, 23 insertions(+), 2 deletions(-)

commit 99edd38a520207cca3ee1928fa23683c0c0f0abe
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 11:08:19 2014 +0900

    appindicator: add desktop file
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/desktop.mk                                        | 18 +++++++++++-------
 .../org.gnome.GPaste.AppIndicator.desktop.in.in        |  8 ++++++++
 2 files changed, 19 insertions(+), 7 deletions(-)

commit 644481741cc47b3ff9a4bb3949dfab7c9ff60cd4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 21 11:00:58 2014 +0900

    settings: add appdata
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/appdata.mk                                                |  6 +++++-
 data/appdata/org.gnome.GPaste.Applet.appdata.xml.in            |  3 +++
 ...appdata.xml.in => org.gnome.GPaste.Settings.appdata.xml.in} | 10 ++++++----
 po/POTFILES.in                                                 |  1 +
 4 files changed, 15 insertions(+), 5 deletions(-)

commit c11e3ac4b2bde0ae60659d180c59b8354a8f5614
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 22:17:21 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 2 ++
 1 file changed, 2 insertions(+)

commit caf8aaf658046b4f3bf25b3621651aba1ed291be
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 21:55:35 2014 +0900

    status-icon: add appdata
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .gitignore                                         |  2 ++
 Makefile.am                                        |  2 ++
 configure.ac                                       |  2 ++
 data/appdata.mk                                    | 30 ++++++++++++++++++++++
 .../appdata/org.gnome.GPaste.Applet.appdata.xml.in | 19 ++++++++++++++
 po/POTFILES.in                                     |  1 +
 6 files changed, 56 insertions(+)

commit dbceea58ede4ca7f1feaface0da6536fff24b82d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 22:16:53 2014 +0900

    rename desktop files
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/desktop.mk                                                       | 4 ++--
 ...ste-applet.desktop.in.in => org.gnome.GPaste.Applet.desktop.in.in} | 0
 ...settings.desktop.in.in => org.gnome.GPaste.Settings.desktop.in.in} | 0
 po/POTFILES.in                                                        | 4 ++--
 po/POTFILES.skip                                                      | 4 ++--
 src/applets/gnome-shell/extension.js                                  | 2 +-
 6 files changed, 7 insertions(+), 7 deletions(-)

commit f65a15ca89aa7dfa5da70ad1dae00674655883ce
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 19:35:46 2014 +0900

    install gpaste-config.h
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core.mk | 4 ++++
 1 file changed, 4 insertions(+)

commit 54a8b352bc0e49b7a68eb79fa8b72559cf050b17
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 18:00:21 2014 +0900

    libgpaste-applet: show_all on append
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-icon.c | 1 -
 libgpaste/applet/gpaste-applet-menu.c | 1 +
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 01f9b06db0d96c2618a24a5b338abf0514db07cf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 17:48:20 2014 +0900

    udpate po files
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/de.po    | 498 ++++++++++++++++++++++++++++++-----------------------------
 po/es.po    | 498 ++++++++++++++++++++++++++++++-----------------------------
 po/fi.po    | 498 ++++++++++++++++++++++++++++++-----------------------------
 po/fr.po    | 504 +++++++++++++++++++++++++++++++-----------------------------
 po/pt_BR.po | 504 +++++++++++++++++++++++++++++++-----------------------------
 5 files changed, 1290 insertions(+), 1212 deletions(-)

commit 89737fc148cb841495a275b3ef121d4d50a4208e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 17:45:00 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 1 -
 1 file changed, 1 deletion(-)

commit 5fb808338904b17f02d2b29acd50864eed162d13
Merge: 0eb1f79 f06031b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 17:35:49 2014 +0900

    Merge branch 'wip/appindicator' into gpaste-3.10
    
    * wip/appindicator:
      configure: display more info
      distcheck: enable unity
      add app-indicator
      libgpaste-applet: applet: add new_app_indicator
      libgpaste-applet: add AppIndicator
      build-sys: add --enable-unity

commit f06031b77130c32e1981ccca45e4b5cd48d5d593
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 16:59:43 2014 +0900

    configure: display more info
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 0d952189e99cfd3a7828244cdb7031457babea7b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 16:58:17 2014 +0900

    distcheck: enable unity
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5b6e079d423cb218d2d8f353dd64f6e2aaf4314e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 16:57:23 2014 +0900

    add app-indicator
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/app-indicator.mk                     | 20 ++++++++++++++
 src/applets/app-indicator/gpaste-app-indicator.c | 34 ++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

commit 9a953aa01cec3d8cd0b47272272c5359af8a8b07
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 16:53:18 2014 +0900

    libgpaste-applet: applet: add new_app_indicator
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet.c      | 39 +++++++++++++++++++++++++++++++++++
 libgpaste/applet/gpaste-applet.h      | 10 ++++++++-
 libgpaste/applet/libgpaste-applet.sym |  1 +
 3 files changed, 49 insertions(+), 1 deletion(-)

commit 6db9b1911666911ed85284bab5230d755f1b4b76
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 16:50:31 2014 +0900

    libgpaste-applet: add AppIndicator
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                | 14 ++++
 .../applet/gpaste-applet-app-indicator-private.h   | 43 +++++++++++
 libgpaste/applet/gpaste-applet-app-indicator.c     | 89 ++++++++++++++++++++++
 libgpaste/applet/gpaste-applet-app-indicator.h     | 46 +++++++++++
 libgpaste/applet/libgpaste-applet.sym              |  3 +
 5 files changed, 195 insertions(+)

commit a0fb1f9d03b6c6b217fac82cfd41bc4f6ad94b84
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 16:39:50 2014 +0900

    build-sys: add --enable-unity
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 Makefile.am                       |  1 +
 configure.ac                      | 10 ++++++++++
 libgpaste/core/gpaste-config.h.in |  1 +
 src/applets/app-indicator.mk      | 17 +++++++++++++++++
 4 files changed, 29 insertions(+)

commit 0eb1f79eec41fc48a918e35263ba3086fe831489
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 17:31:59 2014 +0900

    libgpaste-applet: move stuff into generic icon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-icon-private.h | 11 +++++--
 libgpaste/applet/gpaste-applet-icon.c         | 33 ++++++++++++++++++---
 libgpaste/applet/gpaste-applet-status-icon.c  | 41 +++++++++------------------
 3 files changed, 52 insertions(+), 33 deletions(-)

commit 793c5c0e4798ce807ef71b6ed6156ec04e12e0df
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 16:26:00 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 3 +++
 1 file changed, 3 insertions(+)

commit bf8fefd17a345ad7f0b2af4f163bde9513052741
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 16:24:44 2014 +0900

    gpasted: make it a GtkApplication
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpasted/gpasted.c | 31 ++++++++++++++-----------------
 1 file changed, 14 insertions(+), 17 deletions(-)

commit 006c39849c1a89fd484f5b8329bbadbf7a513d37
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 12:01:15 2014 +0900

    gpaste-settings: use new macro
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste-settings/gpaste-settings.c | 30 ++++++++++--------------------
 1 file changed, 10 insertions(+), 20 deletions(-)

commit 249a6945ea43d7d767fc3eab59ecace7770e54fc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 12:03:43 2014 +0900

    status-icon: use the new macro
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/status-icon/gpaste-applet.c | 22 +---------------------
 1 file changed, 1 insertion(+), 21 deletions(-)

commit 884fe87a7ed8fe232f72d8f95ea46504b5343440
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 11:59:33 2014 +0900

    macros: add app boilerplate
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-macros.h | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 79efe780ad9e676f1db3e14bd086a6cb730a02c9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Mar 20 11:41:25 2014 +0900

    core: history: fix bad logic
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c  | 6 +++---
 libgpaste/daemon/gpaste-daemon.c | 1 +
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 3735f2257d43e8efe0077e04f8a5f71ac6720cfc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 23:15:32 2014 +0900

    libgpaste-settings-ui: fix SEGV
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-panel.c | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

commit b08545bc01e6d9cf61ceb8319fabcaf3fa0846d4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 23:05:21 2014 +0900

    gpasted: set dark theme
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpasted/gpasted.c | 1 +
 1 file changed, 1 insertion(+)

commit 78987766d32b535a6188867d4ca13262fa70a13b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 23:00:25 2014 +0900

    gpaste-settings: use gpasteclient for about
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                  |  8 -------
 src/gpaste-settings.mk                |  1 +
 src/gpaste-settings/gpaste-settings.c | 40 +++++++++++------------------------
 3 files changed, 13 insertions(+), 36 deletions(-)

commit 099559b544cbe3be11c49b8c142502eca0147477
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 23:00:48 2014 +0900

    libgpaste-daemon: tweak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/daemon/gpaste-daemon.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 72388ca6d3c19dcbd2fc86b1fbcc4e644a8e56d8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 22:51:25 2014 +0900

    gpaste: add about
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 man/1/gpaste.1      | 4 ++++
 src/gpaste/gpaste.c | 6 ++++++
 2 files changed, 10 insertions(+)

commit 918f0b289ad75e0906cb6339059c4adc00a65303
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 22:48:32 2014 +0900

    libgpaste-client: add about
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c      | 53 +++++++++++++++++++++++++++++++++++
 libgpaste/client/gpaste-client.h      |  8 ++++++
 libgpaste/client/libgpaste-client.sym |  3 ++
 3 files changed, 64 insertions(+)

commit 6e03220d523dcc168c1ae7f44d3a9b7caa3510c3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 22:42:07 2014 +0900

    libgpaste-daemon: add about
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-gdbus-defines.h |  2 ++
 libgpaste/daemon/gpaste-daemon.c      | 36 +++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

commit acf2dc1257167e6abbadf4ec4fcf57196bb5d0da
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 22:25:56 2014 +0900

    gpaste: add history-size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 man/1/gpaste.1      | 4 ++++
 src/gpaste/gpaste.c | 9 +++++++++
 2 files changed, 13 insertions(+)

commit a07d4c97fab8b3729139257ba1d47b02d3e3122c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 21:20:58 2014 +0900

    libgpaste-core: history: silence assert
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e517cc34f89b2af2a7c122d2efde1c41df011937
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 21:18:56 2014 +0900

    libgpaste-applet: fix race on empty
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-item.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 7d5c3cf4efeafce21fd993b759a13e781cfec149
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 20:38:31 2014 +0900

    libgpaste-applet: use history_size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                     | 2 --
 libgpaste/applet/gpaste-applet-history.c | 6 +++---
 2 files changed, 3 insertions(+), 5 deletions(-)

commit de77a985306da38038ba5cb0219e86357b7a8996
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 20:35:43 2014 +0900

    libgpaste-client: add get_history_size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                  |  1 -
 libgpaste/client.mk                   |  2 +-
 libgpaste/client/gpaste-client.c      | 59 +++++++++++++++++++++++++++++++++++
 libgpaste/client/gpaste-client.h      | 16 +++++++---
 libgpaste/client/libgpaste-client.sym |  7 +++++
 libgpaste/core/gpaste-gdbus-macros.h  |  3 ++
 6 files changed, 82 insertions(+), 6 deletions(-)

commit 988a5ac5e7c696f4a6c40b8493b77b77c0b07b84
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 20:21:44 2014 +0900

    libgpaste-daemon: add GetHistorySize
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                  | 1 -
 libgpaste/core/gpaste-gdbus-defines.h | 4 ++++
 libgpaste/daemon/gpaste-daemon.c      | 9 +++++++++
 3 files changed, 13 insertions(+), 1 deletion(-)

commit a6a0db81a95ee5aabe3074740d48eb50d13ce9cc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 20:17:30 2014 +0900

    libgpaste-core: history: add get_length
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core.mk                 |  2 +-
 libgpaste/core/gpaste-history.c   | 24 +++++++++++++++++++++---
 libgpaste/core/gpaste-history.h   | 17 +++++++++--------
 libgpaste/core/libgpaste-core.sym |  5 +++++
 libgpaste/daemon/gpaste-daemon.c  |  4 ++--
 5 files changed, 38 insertions(+), 14 deletions(-)

commit 6b022bdb15992c8e209315011c3f25b11f8a34a5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 20:09:46 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 0612fd2377f4603b0e4a272ba0b60ed7e52fdd06
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 20:08:08 2014 +0900

    libgpaste-applet: history: honour uesr settings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                     | 4 ----
 libgpaste/applet/gpaste-applet-history.c | 2 +-
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 9b0528e42bf6ee5ac584583a204ca68729471d99
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 20:07:21 2014 +0900

    libgpaste-daemon: forward the full history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/daemon/gpaste-daemon.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit be9b6d4474d960352b1add467fb57c3949bd4d04
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 20:02:24 2014 +0900

    libgpaste-applet: simplify history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-history.c | 26 ++------------------------
 1 file changed, 2 insertions(+), 24 deletions(-)

commit a6117ffc735bf3069c5a247636b6c8a02135a365
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 19:57:20 2014 +0900

    libgpaste-applet: item: respect user settings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-item.c | 23 +++++++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)

commit 7d9ab1425417e38c93ca89c88e2f750aea254692
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 19:39:17 2014 +0900

    libgpaste-applet: fix switch
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-switch.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f472e4f6a97ba5399afe5c3f8c492dd1948a05f7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 19:01:37 2014 +0900

    libgpaste-applet: fix leak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-history.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f197f7be45c893e84e209bba47ebbd7fbd7779a7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 18:55:03 2014 +0900

    libgpaste-applet: fwd settings where needed
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                      |  3 ++-
 libgpaste/applet/gpaste-applet-history.c | 30 +++++++++++++++++++-----------
 libgpaste/applet/gpaste-applet-history.h |  1 +
 libgpaste/applet/gpaste-applet-item.c    | 26 ++++++++++++++++----------
 libgpaste/applet/gpaste-applet-item.h    |  6 ++++--
 libgpaste/applet/gpaste-applet.c         |  6 +++++-
 6 files changed, 47 insertions(+), 25 deletions(-)

commit 30564d3fddafd1a70098aca4b775e9382a49feb7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 18:36:44 2014 +0900

    libgpaste-applet-switch: drop dead code
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-switch.c | 2 --
 1 file changed, 2 deletions(-)

commit a1da7a1967349247b9e2a64421b8402b6856ce7e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 18:23:54 2014 +0900

    libgpaste-applet: finish async transition
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                             |  1 -
 libgpaste/applet/gpaste-applet.c | 66 ++++++++++++++++++++++++++++++++++++----
 2 files changed, 60 insertions(+), 7 deletions(-)

commit 279068d531350803283f20287c1ee6b897f2106b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 14:47:21 2014 +0900

    libgpaste-applet: less sync stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-item.c | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 42acc5fc78bb930bef185dfd7e1e52b177cf7247
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 14:36:03 2014 +0900

    libgpaste-applet: deal with async stuff inside of history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                     |  1 -
 libgpaste/applet/gpaste-applet-history.c | 97 +++++---------------------------
 libgpaste/applet/gpaste-applet-history.h | 14 +----
 libgpaste/applet/gpaste-applet.c         | 11 +---
 libgpaste/applet/libgpaste-applet.sym    |  2 -
 5 files changed, 18 insertions(+), 107 deletions(-)

commit e2fbff40f8cf570b8b970a56f6f7e8bcd540b2a5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 12:24:01 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit 97e552c92cf34555ed324dd0e5f4f6e8c89ff1f7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 12:19:43 2014 +0900

    libgpaste-applet: use history async ctor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit a9625ecee57ff0d4b752e0fdc1d9cf61b9824a32
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 11:59:20 2014 +0900

    libgpaste-applet: finish history async ctor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-history.c | 80 +++++++++++++++++++++++---------
 libgpaste/applet/gpaste-applet-history.h | 14 ++++--
 libgpaste/applet/libgpaste-applet.sym    |  1 +
 3 files changed, 70 insertions(+), 25 deletions(-)

commit 0930d00eb16c0e6b518117618ab33f82069ed1ec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 11:59:29 2014 +0900

    gdbus: add guards
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-gdbus-macros.h | 2 ++
 1 file changed, 2 insertions(+)

commit a6a1e68c563a9faf6e6bd25402f22494bc81cb1b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 11:39:20 2014 +0900

    fix distcheck
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 Makefile.am       |  1 +
 bindings/gi.mk    | 11 +----------
 libgpaste/core.mk |  1 +
 3 files changed, 3 insertions(+), 10 deletions(-)

commit 050dbe6cee46c5103c2c910d191c085c0457ba22
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 11:38:12 2014 +0900

    libgpaste-applet: fix parallel build
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk | 2 ++
 1 file changed, 2 insertions(+)

commit d131f18306d3cb4f48eec9d775a69340dce2d0ea
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 11:35:18 2014 +0900

    legacy-applet: rename to status-icon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .gitignore                                          | 1 -
 Makefile.am                                         | 2 +-
 README.md                                           | 2 +-
 po/POTFILES.in                                      | 2 +-
 src/applets/{legacy.mk => status-icon.mk}           | 2 +-
 src/applets/{legacy => status-icon}/gpaste-applet.c | 0
 6 files changed, 4 insertions(+), 5 deletions(-)

commit bce3d2af00caddb8b3e57bf8cb7e126fa494c10d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Mar 18 11:30:45 2014 +0900

    legacy-applet: remove useless stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.c | 55 --------------------------------------
 1 file changed, 55 deletions(-)

commit 73d4182836b5f1389d075e9e8209c3787272675f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 17:34:57 2014 +0900

    libgpaste-applet: more async calls
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-delete.c |  2 +-
 libgpaste/applet/gpaste-applet-empty.c  |  2 +-
 libgpaste/applet/gpaste-applet-header.c |  7 ++-----
 libgpaste/applet/gpaste-applet-header.h |  3 +--
 libgpaste/applet/gpaste-applet-item.c   |  2 +-
 libgpaste/applet/gpaste-applet-menu.c   |  7 ++-----
 libgpaste/applet/gpaste-applet-menu.h   |  3 +--
 libgpaste/applet/gpaste-applet-switch.c | 17 +++++++----------
 libgpaste/applet/gpaste-applet-switch.h |  3 +--
 libgpaste/applet/gpaste-applet.c        |  7 ++-----
 libgpaste/applet/gpaste-applet.h        |  3 +--
 11 files changed, 20 insertions(+), 36 deletions(-)

commit 55bdd2929dcd3e87711b383b3ac88dfa53c54ffd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 17:15:12 2014 +0900

    libgpaste-applet: rename
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-history.c | 2 +-
 libgpaste/applet/gpaste-applet-menu.c    | 8 ++++----
 libgpaste/applet/gpaste-applet-menu.h    | 8 ++++----
 libgpaste/applet/libgpaste-applet.sym    | 4 ++--
 4 files changed, 11 insertions(+), 11 deletions(-)

commit e4f5518f72b377afc107c070ed2bbc765d5300ef
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 17:12:46 2014 +0900

    libgpaste-applet: override menushell stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                  |  1 -
 libgpaste/applet/gpaste-applet-menu.c | 71 ++++++++++++-----------------------
 libgpaste/applet/gpaste-applet-menu.h |  5 ---
 libgpaste/applet/libgpaste-applet.sym |  2 -
 4 files changed, 25 insertions(+), 54 deletions(-)

commit bb55972a5c921a2cde42497ce66fcbba142dbf25
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 16:31:20 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit 978182401b2d27d309ee4f695d7d0efc840f8993
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 16:28:23 2014 +0900

    ligbpaste-settings-ui: always disconnect signals
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-panel.c | 26 ++++++++++++++----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 1d3ef0ffebef802027ae8170b7c9f2bdf610670f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 15:56:52 2014 +0900

    libgpaste-settings-ui: name switches as such
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-stack.c | 44 ++++++++++++------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit b10120695c6cdc8960ea6ebbfb82f1245388f030
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 15:54:17 2014 +0900

    libgpaste-settings-ui: add extension-enabled
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                             |  2 --
 libgpaste/settings/ui/gpaste-settings-ui-panel.c |  3 +-
 libgpaste/settings/ui/gpaste-settings-ui-stack.c | 38 ++++++++++++++++--------
 3 files changed, 27 insertions(+), 16 deletions(-)

commit 1ce95292fdc721acef61d320c485df6c3cfc4006
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 14:53:03 2014 +0900

    libgpaste-settings: add extension-enabled
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-gsettings-keys.h    |   6 ++
 libgpaste/settings/gpaste-settings.c      | 132 +++++++++++++++++++++++++++++-
 libgpaste/settings/gpaste-settings.h      |   7 ++
 libgpaste/settings/libgpaste-settings.sym |   2 +
 4 files changed, 145 insertions(+), 2 deletions(-)

commit 9fbdc5537a593f825c2ce7308cda9b2f2f393d1c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 13:16:55 2014 +0900

    libgpaste-settings: reorder
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/gsettings/org.gnome.GPaste.gschema.xml | 18 +++++++++---------
 libgpaste/core/gpaste-gsettings-keys.h      |  2 +-
 libgpaste/settings/gpaste-settings.c        |  6 +++---
 libgpaste/settings/gpaste-settings.h        |  8 ++++----
 4 files changed, 17 insertions(+), 17 deletions(-)

commit 7c6f475dba84fd90745a566033ba2a04264eca00
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 10:56:16 2014 +0900

    libgpaste-settings-ui: add reset
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                             |  1 -
 libgpaste/settings/ui/gpaste-settings-ui-panel.c | 65 +++++++++++++++++++-----
 libgpaste/settings/ui/gpaste-settings-ui-panel.h |  4 ++
 libgpaste/settings/ui/gpaste-settings-ui-stack.c | 48 +++++++++++++----
 4 files changed, 94 insertions(+), 24 deletions(-)

commit b80416f80f1cf3167fb64efd3d25bb0e7ecb99af
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 10:14:46 2014 +0900

    libgpaste-settings: add reset
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings.mk                     |   2 +-
 libgpaste/settings/gpaste-settings.c      | 194 +++++++++++++++++++++++++++---
 libgpaste/settings/gpaste-settings.h      |  20 +++
 libgpaste/settings/libgpaste-settings.sym |  22 ++++
 4 files changed, 220 insertions(+), 18 deletions(-)

commit 12a3f046284876247e88274c36f8a0e59e993d06
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 11:00:44 2014 +0900

    libgpaste-settings-ui: fix growing lines refresh
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-stack.c | 2 ++
 1 file changed, 2 insertions(+)

commit 8158976085f1efdc2fb714d2aa39ba48ab09b830
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 14:48:47 2014 +0900

    use gpaste-config.h
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-stack.c | 7 ++++---
 src/gpaste/gpaste.c                              | 5 +++--
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 74b90170f078d685dba8da63894a99c15b8322b0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Mar 17 14:44:56 2014 +0900

    core: introduce gpaste-config.h
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .gitignore                                      |  1 +
 configure.ac                                    |  7 +++++++
 libgpaste/core.mk                               |  4 ++++
 libgpaste/core/{gpaste.h => gpaste-config.h.in} | 22 ++++++----------------
 libgpaste/core/gpaste.h                         |  1 +
 5 files changed, 19 insertions(+), 16 deletions(-)

commit 8af618624d43e0c6f7a3f260ebaa140d2d4274a3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 16 18:39:38 2014 +0900

    gi: fix parallel build
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 bindings/gi.mk | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit a5326f3c76e69b74376b8f501fcf0e820707e938
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 16 18:09:31 2014 +0900

    fix gtk positionning bug
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                         | 1 -
 libgpaste/applet/gpaste-applet-item.c        | 2 +-
 libgpaste/applet/gpaste-applet-status-icon.c | 7 ++++++-
 3 files changed, 7 insertions(+), 3 deletions(-)

commit 12ab52c9a80e18ba19dfe139cba19a927fd963f6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Mar 16 13:15:41 2014 +0900

    libgpaste-applet: tweak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                  | 1 +
 libgpaste/applet/gpaste-applet-item.c | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit e8d13bf6519784a3ad72e8e7cc192770913fdff0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 22:19:14 2014 +0900

    libgpaste-applet: bug fixes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-delete.c |  2 +-
 libgpaste/applet/gpaste-applet-menu.c   | 50 +++++++++++++++++----------------
 2 files changed, 27 insertions(+), 25 deletions(-)

commit f7b122d6dfd854a2a1051b8c83881d79b84001ca
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 22:10:00 2014 +0900

    libgpaste-applet: better handling of empty history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-history.c | 17 +++++++++++----
 libgpaste/applet/gpaste-applet-menu.c    | 37 +++++++++++++++++++++++++++-----
 2 files changed, 45 insertions(+), 9 deletions(-)

commit 56f7e0cb35a8f9ae863bc07676980914ef5d8fac
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 21:42:20 2014 +0900

    update POTFILES
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/POTFILES.in   | 23 ++++++++++++-----------
 po/POTFILES.skip |  1 -
 po/de.po         | 33 ++++++++++++---------------------
 po/es.po         | 33 ++++++++++++---------------------
 po/fi.po         | 33 ++++++++++++---------------------
 po/fr.po         | 33 ++++++++++++---------------------
 po/pt_BR.po      | 33 ++++++++++++---------------------
 7 files changed, 72 insertions(+), 117 deletions(-)

commit fc1cee8e886f00cc2d779c1bb5cd52d839702812
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 21:19:07 2014 +0900

    gnome-shell: bump shell compat
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/gnome-shell/metadata.json.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f942d4645fb139fba2fad05bb7e1c1f3306ba3b5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 21:18:05 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 2 --
 1 file changed, 2 deletions(-)

commit efd0ec47ee335ea92de9bccb296101fc54236297
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 21:17:35 2014 +0900

    don't use g_error
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                   | 2 --
 libgpaste/core/gpaste-clipboard.c      | 2 +-
 libgpaste/core/gpaste-history.c        | 6 +++---
 libgpaste/keybinder/gpaste-keybinder.c | 4 ++--
 src/gpaste/gpaste.c                    | 2 +-
 src/gpasted/gpasted.c                  | 2 +-
 6 files changed, 8 insertions(+), 10 deletions(-)

commit 8a49aaa916b28d6e298af4283635fd5109ddecf3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 21:14:28 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit f9e7491620a8be67f57c902a2531635ce3e805f7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 21:13:45 2014 +0900

    GtkMenu is floating
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-history.c | 4 +---
 libgpaste/applet/gpaste-applet.c         | 1 -
 2 files changed, 1 insertion(+), 4 deletions(-)

commit 06f6b211dbb3ae5509b6b2b5e870592c65bf9b92
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 21:00:25 2014 +0900

    legacy-applet: rewrite in C
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 Makefile.am                           |   9 ---
 configure.ac                          |   3 -
 libgpaste/applet/gpaste-applet.c      |  10 ++--
 libgpaste/applet/gpaste-applet.h      |   2 +-
 src/applets/legacy.mk                 |  21 +------
 src/applets/legacy/gpaste-applet.c    | 109 ++++++++++++++++++++++++++++++++++
 src/applets/legacy/gpaste-applet.vala |  54 -----------------
 7 files changed, 119 insertions(+), 89 deletions(-)

commit a84e508822af2e04d7b280d22fbcb0db6579424c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 20:48:54 2014 +0900

    gpaste: automake tweaks
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste.mk | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit a71e5696c6319b3d42a238511bf943dc20dd1e06
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 20:30:26 2014 +0900

    legacy-applet: port to GPasteApplet
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 27 ++++-----------------------
 1 file changed, 4 insertions(+), 23 deletions(-)

commit 4ec495b4919a06e7bf7a9127212009188b83f006
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 20:24:59 2014 +0900

    libgpaste-applet: chain dispose
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-delete.c      | 2 ++
 libgpaste/applet/gpaste-applet-empty.c       | 2 ++
 libgpaste/applet/gpaste-applet-history.c     | 2 ++
 libgpaste/applet/gpaste-applet-icon.c        | 2 ++
 libgpaste/applet/gpaste-applet-item.c        | 2 ++
 libgpaste/applet/gpaste-applet-status-icon.c | 2 ++
 6 files changed, 12 insertions(+)

commit a99a354edc013819314f92b91a01caddaea1b917
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 19:48:50 2014 +0900

    libgpaste-applet: add applet
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |   4 +
 .../gpaste.h => applet/gpaste-applet-private.h}    |  35 +++---
 libgpaste/applet/gpaste-applet.c                   | 130 +++++++++++++++++++++
 libgpaste/applet/gpaste-applet.h                   |  51 ++++++++
 libgpaste/applet/libgpaste-applet.sym              |   5 +
 libgpaste/core/gpaste.h                            |   4 +-
 6 files changed, 210 insertions(+), 19 deletions(-)

commit bbaf48464a467f9f07715e8a6497a58cef7c6ca8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 19:46:02 2014 +0900

    libgpaste-applet: remove unneeded includes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-footer-private.h | 2 --
 libgpaste/applet/gpaste-applet-header-private.h | 2 --
 2 files changed, 4 deletions(-)

commit 4cff14b5fe300f1540ce7c1271a253125ddca613
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 19:36:58 2014 +0900

    libgpaste-applet: move stuff in icon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-icon-private.h | 11 ++++-
 libgpaste/applet/gpaste-applet-icon.c         | 59 ++++++++++++++++++++++++++-
 libgpaste/applet/gpaste-applet-status-icon.c  | 26 +++---------
 3 files changed, 72 insertions(+), 24 deletions(-)

commit c0e7dc173b7fc47e2220b852251c00ee754486b9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 18:37:03 2014 +0900

    legacy-applet: port to GPasteAppletStatusIcon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 25 ++++---------------------
 1 file changed, 4 insertions(+), 21 deletions(-)

commit 87034ab5997fbe4d49bddb1c725ed5002d8c0c2b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 18:12:48 2014 +0900

    libgpaste-applet: add status-icon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |   3 +
 libgpaste/applet/gpaste-applet-icon-private.h      |   2 -
 ...ivate.h => gpaste-applet-status-icon-private.h} |  23 ++--
 libgpaste/applet/gpaste-applet-status-icon.c       | 122 +++++++++++++++++++++
 libgpaste/applet/gpaste-applet-status-icon.h       |  46 ++++++++
 libgpaste/applet/libgpaste-applet.sym              |   3 +
 libgpaste/core/gpaste.h                            |   1 +
 7 files changed, 186 insertions(+), 14 deletions(-)

commit 4939dcfcaed9c2b907e65977d4e805b12c298657
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 18:04:36 2014 +0900

    libgpaste-applet: add icon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                           |  3 ++
 libgpaste/applet/gpaste-applet-icon-private.h | 44 +++++++++++++++++++++++++++
 libgpaste/applet/gpaste-applet-icon.c         | 32 +++++++++++++++++++
 libgpaste/applet/gpaste-applet-icon.h         | 42 +++++++++++++++++++++++++
 libgpaste/applet/libgpaste-applet.sym         |  2 ++
 5 files changed, 123 insertions(+)

commit 604d13d052427c737eee411414e7fd899c44b9e5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 17:47:47 2014 +0900

    legacy-applet: fix icon
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 81036254947a7735508a1b65a5a17d289a8bc267
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 17:27:21 2014 +0900

    legacy-applet: port to GPasteAppletHistory
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 26 +++++++++++---------------
 1 file changed, 11 insertions(+), 15 deletions(-)

commit d56bc284e91a5a76d3cf4617ff38543cf06e57ef
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Mar 14 12:39:29 2014 +0900

    libgpaste-applet: add history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |   3 +
 .../gpaste-applet-history-private.h}               |  33 +--
 libgpaste/applet/gpaste-applet-history.c           | 221 +++++++++++++++++++++
 libgpaste/applet/gpaste-applet-history.h           |  47 +++++
 libgpaste/applet/libgpaste-applet.sym              |   4 +
 libgpaste/core/gpaste.h                            |   1 +
 6 files changed, 295 insertions(+), 14 deletions(-)

commit ae1f18f55eb8ed15a6a163bffb88faaf9114dee3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 5 16:14:10 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit 4e51ceedcd9c6b3fe5828b82d7a05ea0f1e7ea50
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 5 16:13:42 2014 +0900

    legacy-applet: simplify all stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 81 +++++++++++------------------------
 1 file changed, 24 insertions(+), 57 deletions(-)

commit d827c75908455e1fe776b5fb63858e5c9d228ce8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 5 15:20:37 2014 +0900

    legacy-applet: port to GPasteAppletMenu
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 34 ++++------------------------------
 1 file changed, 4 insertions(+), 30 deletions(-)

commit 777be3da1ca577f01cf8ea64910e134c88426e8f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 5 15:45:44 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit 3c4a4f09b3204dfa744d9424bf07a9564f2655bb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 5 14:55:43 2014 +0900

    libgpaste-applet: add menu
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |   3 +
 .../gpaste-applet-menu-private.h}                  |  37 +--
 libgpaste/applet/gpaste-applet-menu.c              | 293 +++++++++++++++++++++
 libgpaste/applet/gpaste-applet-menu.h              |  62 +++++
 libgpaste/applet/libgpaste-applet.sym              |   7 +
 libgpaste/core/gpaste.h                            |   4 +-
 6 files changed, 387 insertions(+), 19 deletions(-)

commit 7e83aa00061e3d6786d0bcf1e40c0801fdc8f1c8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 27 19:30:54 2014 +0900

    legacy-applet: use GPasteAppletItem
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 30 +-----------------------------
 1 file changed, 1 insertion(+), 29 deletions(-)

commit 19399006c14d6bbf6c17257b97244d739b2886cd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Feb 28 18:26:29 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit f23b1844506d379159dd1eddeab47ddecb5467db
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 27 18:43:09 2014 +0900

    libgpaste-applet: add item
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |   3 +
 .../gpaste-applet-item-private.h}                  |  36 ++---
 libgpaste/applet/gpaste-applet-item.c              | 147 +++++++++++++++++++++
 libgpaste/applet/gpaste-applet-item.h              |  45 +++++++
 libgpaste/applet/libgpaste-applet.sym              |   3 +
 libgpaste/core/gpaste.h                            |   1 +
 6 files changed, 220 insertions(+), 15 deletions(-)

commit 3b2663aa16c29140dd41aea9830c42f3a8bc719a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 27 18:25:47 2014 +0900

    libgpaste-applet: add delete
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                             |   3 +
 libgpaste/applet/gpaste-applet-delete-private.h |  43 ++++++
 libgpaste/applet/gpaste-applet-delete.c         | 173 ++++++++++++++++++++++++
 libgpaste/applet/gpaste-applet-delete.h         |  45 ++++++
 libgpaste/applet/libgpaste-applet.sym           |   3 +
 5 files changed, 267 insertions(+)

commit 44b7240f9b59c4011a62268d5f184c5002fa6cd4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 17:05:32 2014 +0900

    legacy-applet: use GPasteAppletFooter
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4dc20322bba909ec05e21359bd6b1b0997945181
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 16:50:39 2014 +0900

    libgpaste-applet: add footer
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |   3 +
 .../gpaste-applet-footer-private.h}                |  38 +++---
 libgpaste/applet/gpaste-applet-footer.c            | 136 +++++++++++++++++++++
 libgpaste/applet/gpaste-applet-footer.h            |  52 ++++++++
 libgpaste/applet/libgpaste-applet.sym              |   5 +
 libgpaste/core/gpaste.h                            |   4 +-
 6 files changed, 218 insertions(+), 20 deletions(-)

commit 2e68e020082e0352440003d8ce41edd820ad0df6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 14:19:03 2014 +0900

    legacy-applet: use GPasteAppletHeader
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 1f362815d7f7cab60476e1b00407198d7c6d6790
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 13:55:40 2014 +0900

    libgpaste-applet: add header
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |   3 +
 .../gpaste-applet-header-private.h}                |  38 ++---
 libgpaste/applet/gpaste-applet-header.c            | 162 +++++++++++++++++++++
 libgpaste/applet/gpaste-applet-header.h            |  54 +++++++
 libgpaste/applet/libgpaste-applet.sym              |  12 +-
 libgpaste/core/gpaste.h                            |   2 +-
 6 files changed, 248 insertions(+), 23 deletions(-)

commit 1bcfc1447b8e78873a8321aa9a3cfe5da3f610a0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 12:39:05 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 2 ++
 1 file changed, 2 insertions(+)

commit 8c733d757595a99ab170a21edd51e091597e9433
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 12:38:27 2014 +0900

    gpaste: don't use g_error
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc0a08156894ce5aaec6794f83764ab184413c27
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 12:33:51 2014 +0900

    update POTFILES
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/POTFILES.in |  4 ++++
 po/de.po       | 44 +++++++++++++++++---------------------------
 po/es.po       | 44 +++++++++++++++++---------------------------
 po/fi.po       | 44 +++++++++++++++++---------------------------
 po/fr.po       | 44 +++++++++++++++++---------------------------
 po/pt_BR.po    | 44 +++++++++++++++++---------------------------
 6 files changed, 89 insertions(+), 135 deletions(-)

commit 6f3783774a096367638b9e6b39c24e3d28cc769f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 12:31:01 2014 +0900

    README: add libgpaste-applet
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 README.md | 1 +
 1 file changed, 1 insertion(+)

commit 37bd86b37096bb119948b0dfc3cee2be82c44d69
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 12:25:33 2014 +0900

    legacy-applet: remove right-click menu
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 43 ++---------------------------------
 1 file changed, 2 insertions(+), 41 deletions(-)

commit 3a128bd5fd99885a9847e2f7d96b914d84c6e0a2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 12:22:16 2014 +0900

    legacy-applet: use GPasteAppletEmpty
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet/gpaste-applet-empty.c | 2 +-
 src/applets/legacy/gpaste-applet.vala  | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit bf5d56a73ee55e6bf70b74011c8c183fc06e9335
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 12:20:13 2014 +0900

    libgpaste-applet: add empty
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |  3 +
 .../gpaste-applet-empty-private.h}                 | 37 +++++-----
 libgpaste/applet/gpaste-applet-empty.c             | 81 ++++++++++++++++++++++
 libgpaste/applet/gpaste-applet-empty.h             | 44 ++++++++++++
 libgpaste/applet/libgpaste-applet.sym              |  4 ++
 libgpaste/core/gpaste.h                            |  1 +
 6 files changed, 154 insertions(+), 16 deletions(-)

commit 65e447d855cf0b44fde45b127c725cb321d19cb0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 12:09:54 2014 +0900

    legacy-applet: use GPasteAppletQuit
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 1 +
 1 file changed, 1 insertion(+)

commit 692ba803cabcc7f1d1f3316f8b82a72a473875f6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 12:07:38 2014 +0900

    libgpaste-applet: add quit
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |  3 +
 .../gpaste-applet-quit-private.h}                  | 36 ++++++-----
 libgpaste/applet/gpaste-applet-quit.c              | 72 ++++++++++++++++++++++
 libgpaste/applet/gpaste-applet-quit.h              | 44 +++++++++++++
 libgpaste/applet/libgpaste-applet.sym              |  4 ++
 libgpaste/core/gpaste.h                            |  1 +
 6 files changed, 145 insertions(+), 15 deletions(-)

commit 1600ec2f1a10c9fe17f8187774e23bc960c28e4e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 11:48:58 2014 +0900

    legacy-applet: use GPasteAppletSettings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 2 ++
 1 file changed, 2 insertions(+)

commit 7c90870676b4b95138bc3ec22148d7c5ba6aadd9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 26 11:45:29 2014 +0900

    libgpaste-applet: add settings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/applet.mk                                |  3 ++
 .../gpaste-applet-settings-private.h}              | 33 +++++++-----
 libgpaste/applet/gpaste-applet-settings.c          | 59 ++++++++++++++++++++++
 libgpaste/applet/gpaste-applet-settings.h          | 44 ++++++++++++++++
 libgpaste/applet/libgpaste-applet.sym              |  4 ++
 libgpaste/core/gpaste.h                            |  1 +
 6 files changed, 130 insertions(+), 14 deletions(-)

commit 1fbe6416de57d624325e44651ba4c59e9a323c7e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 25 14:40:47 2014 +0900

    legacy-applet: use dark theme
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 1 +
 1 file changed, 1 insertion(+)

commit d528a243da9d49b308e77f912f5052680b51b267
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 25 13:23:48 2014 +0900

    legacy-applet: use GPasteAppletSwitch
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy.mk                 | 1 +
 src/applets/legacy/gpaste-applet.vala | 4 +++-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 2185d30db6bb649e77ba4086764c870a816d8bd4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Feb 24 11:40:32 2014 +0900

    libgpaste-applet: add switch
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 Makefile.am                                        |   2 +
 bindings/gi.mk                                     |  12 +-
 libgpaste/applet.mk                                |  67 +++++++++
 .../gpaste-applet-switch-private.h}                |  34 +++--
 libgpaste/applet/gpaste-applet-switch.c            | 164 +++++++++++++++++++++
 libgpaste/applet/gpaste-applet-switch.h            |  49 ++++++
 libgpaste/applet/libgpaste-applet.sym              |  11 ++
 libgpaste/core/gpaste.h                            |   1 +
 8 files changed, 325 insertions(+), 15 deletions(-)

commit e828ac39e2664dc4e903c8182c60e3a6b5753816
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 25 13:38:36 2014 +0900

    core: fix warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e7157856d66c5b62bd8b467072a67f237042660
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Feb 25 13:40:05 2014 +0900

    fix weird coredump
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0ada5b9d514fcdbd6949ccdbfe30e4437aa198a9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Feb 24 11:25:04 2014 +0900

    don't display error on reexec
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 1 +
 1 file changed, 1 insertion(+)

commit 7ddcd4f097f33c14fbe43c66cc027b44a03b0f1c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 22 17:38:32 2014 +0900

    Release GPaste 3.3
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	NEWS
    	README.md

 NEWS      | 2 +-
 README.md | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit b643720fb76cb4b8d98340ccb61d18384645e77e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 22 15:20:00 2014 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	NEWS

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit bbfa8f8137cc55d1cc0bf8a7fe2681373c661d40
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 20 00:06:10 2014 +0900

    core: fix leak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0b7c0e3e9dac1d344eb8f02fc759cbaa799ebaf1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Feb 10 11:36:03 2014 +0900

    post release version bump
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS         | 3 +++
 TODO         | 2 --
 configure.ac | 2 +-
 3 files changed, 4 insertions(+), 3 deletions(-)

commit c4002c3d408b45372d84ffab10ec1deecde7ac05
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Feb 10 11:29:31 2014 +0900

    Release GPaste 3.8
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS      | 8 ++++++--
 README.md | 4 ++--
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 8c886b46be8eb549fca4b7835bb45af6ad4561b2
Merge: ad81aab eead14e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Feb 10 11:24:46 2014 +0900

    Merge pull request #70 from elder/master
    
    Update Brazilian Portuguese Translation

commit eead14e98bca2a75b3d93adfdd36588c67c5a185
Author: Elder Marco <eldermarco@gmail.com>
Date:   Sun Feb 9 14:45:38 2014 -0200

    add an extra space

 po/pt_BR.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d850a6a35da454a92ae678d31d12e2432d1a3f0e
Author: Elder Marco <eldermarco@gmail.com>
Date:   Sun Feb 9 14:41:01 2014 -0200

    update brazilian portuguese translation

 po/pt_BR.po | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

commit ad81aab3ee77babe994016d2f587012dbf5d53e7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Feb 9 15:39:49 2014 +0900

    fix fuzzy translations
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/de.po    | 111 +++++++++++++++++++++++++++++------------------------
 po/es.po    | 120 +++++++++++++++++++++++++++++++++-------------------------
 po/fi.po    | 119 ++++++++++++++++++++++++++++++++-------------------------
 po/pt_BR.po | 124 ++++++++++++++++++++++++++++++++++--------------------------
 4 files changed, 267 insertions(+), 207 deletions(-)

commit f9e870e3215f539be9145362b1bbca1fbc522ffa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Feb 9 15:36:00 2014 +0900

    update french translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/fr.po | 123 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 72 insertions(+), 51 deletions(-)

commit 3284dbe0374bfa1eeeff28bce9f94d1ada7a82a8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Feb 9 15:24:18 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 4 ----
 1 file changed, 4 deletions(-)

commit 6df9bc32068bfb0f3782e92743f2242ac3e8a4bb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Feb 9 15:23:47 2014 +0900

    settings: refresh ui correctly
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-stack.c | 1 +
 1 file changed, 1 insertion(+)

commit 4274dadf16f3c34df1859f91db872d86a0f32b81
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Feb 9 14:51:35 2014 +0900

    history: fix hardcoded path
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit acfd09539abebb7d3e494226aa09510d1e6a65b7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Feb 9 14:42:32 2014 +0900

    history-parser: cleanup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                            |   2 -
 libgpaste/core/gpaste-history.c | 115 +++++++++++++++++++++-------------------
 libgpaste/core/gpaste-history.h |   2 +-
 3 files changed, 62 insertions(+), 57 deletions(-)

commit 7a831f5dac29202ce31677c09e2b4b01241960ff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 8 13:09:27 2014 +0900

    fix growing line detection for first item
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 47 +++++++++++++++++++++++------------------
 1 file changed, 26 insertions(+), 21 deletions(-)

commit 71afa05c45b134a42d8de5376ad6e1e7cf180c00
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 8 12:57:47 2014 +0900

    fix gschema
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/gsettings/org.gnome.GPaste.gschema.xml | 1 -
 1 file changed, 1 deletion(-)

commit 5ba519dbd8f64e3fcae6142cd1c3c0d7b70d2b6d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 8 12:54:45 2014 +0900

    implement growing line feature
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 20 +++++++++++++++++++-
 1 file changed, 19 insertions(+), 1 deletion(-)

commit 30c31c1d1ffcf979fbc784cf7b5e223f54c209f6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 8 12:42:32 2014 +0900

    settings: add new growing-lines setting
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/gsettings/org.gnome.GPaste.gschema.xml      | 10 ++++++++++
 libgpaste/core/gpaste-gsettings-keys.h           |  1 +
 libgpaste/settings.mk                            |  2 +-
 libgpaste/settings/gpaste-settings.c             | 23 +++++++++++++++++++++++
 libgpaste/settings/gpaste-settings.h             |  3 +++
 libgpaste/settings/libgpaste-settings.sym        |  5 +++++
 libgpaste/settings/ui/gpaste-settings-ui-stack.c |  7 +++++++
 7 files changed, 50 insertions(+), 1 deletion(-)

commit 1167847875ba3d840e9b4c824452f9a1c440e32e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 6 15:54:24 2014 +0900

    fix linking with installed gpaste
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                        |  2 ++
 bindings/gi.mk              | 14 +++++++-------
 libgpaste/core.mk           |  2 +-
 libgpaste/daemon.mk         |  4 ++--
 libgpaste/keybinder.mk      |  6 +++---
 libgpaste/settings/ui.mk    |  4 ++--
 src/applets/legacy.mk       |  4 ++--
 src/gpaste-settings.mk      |  2 +-
 src/gpaste.mk               |  2 +-
 src/gpasted.mk              | 10 +++++-----
 tests/gnome-shell-client.mk |  2 +-
 11 files changed, 27 insertions(+), 25 deletions(-)

commit dbf0efec6d5560a244253782cb01e0de549fb6fd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 6 15:52:00 2014 +0900

    fix settings ui
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-stack.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 4f48657a7c0ce22f98b829222946219e66456a68
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Feb 6 15:49:33 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 3 ---
 1 file changed, 3 deletions(-)

commit 3089ece0fc888c6dec244de034739d1c464c5005
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 5 14:36:08 2014 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS | 2 ++
 TODO | 2 --
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a592d525bbdc832105a2093dc852374a2c473398
Merge: 2ad6038 63bb034
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 5 14:35:36 2014 +0900

    Merge branch 'drop-libxml'
    
    * drop-libxml:
      core: drop libxml dependency
      history: drop libxml for reading
      history: add poc of parsing with gmarkup

commit 63bb034d1a98e8a08af1de110c1d1197fdc99740
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 5 14:35:30 2014 +0900

    core: drop libxml dependency
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac                    |  2 --
 libgpaste/core.mk               |  2 --
 libgpaste/core/gpaste-history.c | 55 +++++++++++++++++++----------------------
 3 files changed, 26 insertions(+), 33 deletions(-)

commit a2700f8181f3abcf2058c6a9bacebf3509e11799
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 5 14:00:18 2014 +0900

    history: drop libxml for reading
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 285 ++++++++++++++++++++++++++++++++--------
 test-xml.c                      | 170 ------------------------
 2 files changed, 228 insertions(+), 227 deletions(-)

commit 2ad60383c1196e8c787b4156bd5b4fa1ac247fd7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Feb 5 13:14:32 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 2 ++
 1 file changed, 2 insertions(+)

commit 11a3ddbc49f649344179c6a79cc8fbfc5a0d022d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Feb 2 16:03:30 2014 +0900

    avoid out of bound
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

commit b403c924b9dce592fcf26d48cb784668306ce710
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 1 15:14:23 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 33 ++++++++++++++++++++++-----------
 1 file changed, 22 insertions(+), 11 deletions(-)

commit 7b1f4d07b8b7c9f8462eb8ca6036af701f729167
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Jan 10 15:13:14 2014 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 1 +
 1 file changed, 1 insertion(+)

commit 0b7c7fce2bd145c6be8286e1b0e9f6438b0d62a9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Dec 28 12:59:31 2013 +0900

    history: add poc of parsing with gmarkup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 test-xml.c | 170 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 170 insertions(+)

commit 2bfe8c1bc0ba31d18753b8f74f29fd5fdbc43a9e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Dec 26 15:51:51 2013 +0900

    silence warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c   | 2 +-
 libgpaste/core/gpaste-macros.h    | 3 ++-
 libgpaste/core/gpaste-uris-item.c | 2 +-
 src/gpaste/gpaste.c               | 2 +-
 src/gpasted/gpasted.c             | 2 +-
 5 files changed, 6 insertions(+), 5 deletions(-)

commit 6a0b5901548cf52818561fd7271af3b53babbf5c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Dec 26 15:44:48 2013 +0900

    keybinder: fix warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 967402458b4f7205659854c25aadfb0badd3be4e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Nov 15 15:27:07 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

commit 5bdb58488e10d0dff6fdd80d8f96dd48af74b36a
Merge: 9627be9 2b712e3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Nov 17 06:05:59 2013 -0800

    Merge pull request #65 from Doppelhelix/master
    
    Fixing direct links to download

commit 2b712e33dab1192922a5ba9f3529b15b96a8bc14
Author: Doppelhelix <doppelhelix@gmail.com>
Date:   Sun Nov 17 11:36:28 2013 +0100

    Fixing direct links to download

 README.md | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9627be979c00ec7d88046ae328fb9fd5b971b04a
Author: Christian Schendel <doppelhelix@gmail.com>
Date:   Sat Nov 9 09:52:03 2013 +0100

    add german to available translations

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 80d945fe2ebf7a19d26fcd69175b0e67b3ed9e64
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Nov 9 16:12:32 2013 +0900

    post release version bump
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 98f377962b847d809beabd8520046e248f94bf10
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Nov 9 16:07:17 2013 +0900

    Release GPaste 3.7
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS      | 10 +++++++++-
 README.md | 13 +++++++++----
 THANKS    |  1 +
 3 files changed, 19 insertions(+), 5 deletions(-)

commit 767b840bcda42bea2a6841adff87b50c08ad8fee
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Nov 9 16:35:44 2013 +0900

    gnome-shell: fix
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/gnome-shell.mk               | 2 +-
 src/applets/gnome-shell/extension.js     | 2 +-
 src/applets/gnome-shell/metadata.json.in | 2 +-
 src/applets/gnome-shell/prefs.js         | 3 ++-
 4 files changed, 5 insertions(+), 4 deletions(-)

commit d80edcf5ee2699e2bd115c6e8d57f41ab7922bce
Merge: dccea70 3c8b41e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Nov 9 15:54:57 2013 +0900

    Merge branch 'master' of git://github.com/Keruspe/GPaste
    
    * 'master' of git://github.com/Keruspe/GPaste:
      removed some more whitespaces
      removed strings only relevant for Poedit (again...)
      removed whitespace
      removed strings only relevant for Poedit
      german translation

commit 3c8b41e48f6be302405c2ca9e5e39ae4af30dce5
Merge: 8cde668 3701222
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Nov 8 22:54:41 2013 -0800

    Merge pull request #61 from Doppelhelix/master
    
    add german translation

commit dccea706a97969b24af853e047dba1eb5c0c55cb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Nov 9 15:52:42 2013 +0900

    gnome-shell: fix locale in prefs tool
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/gnome-shell.mk               | 4 ++--
 src/applets/gnome-shell/extension.js     | 3 ++-
 src/applets/gnome-shell/metadata.json.in | 1 +
 src/applets/gnome-shell/prefs.js         | 5 +++++
 4 files changed, 10 insertions(+), 3 deletions(-)

commit 3701222d2186e72d48998f3b9603d281d607041e
Author: Christian Schendel <doppelhelix@gmail.com>
Date:   Fri Nov 8 11:16:36 2013 +0100

    removed some more whitespaces

 po/de.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 286a0d201c4cbe62517c1e0bfc1d556e1b195d10
Author: Christian Schendel <doppelhelix@gmail.com>
Date:   Fri Nov 8 11:10:16 2013 +0100

    removed strings only relevant for Poedit (again...)

 po/de.po | 1 -
 1 file changed, 1 deletion(-)

commit 0aac997a9546f168d1bcef0415e8b920a759a990
Author: Christian Schendel <doppelhelix@gmail.com>
Date:   Fri Nov 8 11:06:50 2013 +0100

    removed whitespace

 po/de.po | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0df94ec0446fc2b4c440b03fe519ce8216b78d44
Author: Christian Schendel <doppelhelix@gmail.com>
Date:   Fri Nov 8 11:00:29 2013 +0100

    removed strings only relevant for Poedit

 po/de.po | 2 --
 1 file changed, 2 deletions(-)

commit b69c714533707b57d877b1c0aaf407fab4cee5b2
Author: Christian Schendel <doppelhelix@gmail.com>
Date:   Fri Nov 8 10:48:47 2013 +0100

    german translation

 po/de.po | 558 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 558 insertions(+)

commit 8cde66837c274e571d0ea1cfa24db4cb2c02d398
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 31 16:23:13 2013 +0900

    keybinder: watch gnome-shell bus for restarts
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c | 156 ++++++++++++++++++++++++++-------
 1 file changed, 123 insertions(+), 33 deletions(-)

commit fbcdde195ed85ba2e95a26e1ca2986c7ba3cffb2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 31 15:05:05 2013 +0900

    gnome-shell-client: move bus name to header
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/gnome-shell-client/gpaste-gnome-shell-client.c | 1 -
 libgpaste/gnome-shell-client/gpaste-gnome-shell-client.h | 2 ++
 2 files changed, 2 insertions(+), 1 deletion(-)

commit f7a04183f2c3346a607ca5e59272911975fdc19e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 28 17:43:59 2013 +0900

    keybinder: parse x events only once
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c  | 80 +++++++++++++++++++++++++++++++-
 libgpaste/keybinder/gpaste-keybinding.c | 82 ++-------------------------------
 libgpaste/keybinder/gpaste-keybinding.h |  3 +-
 3 files changed, 85 insertions(+), 80 deletions(-)

commit cc76d28b5503d3309a281a0e555960b9b118e2fd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 28 17:30:32 2013 +0900

    fix keybinder
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f09f3eaa7e9e11ab48c07f3dda78c8f299e69cd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 28 15:36:48 2013 +0900

    nuke libgpaste-common
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 Makefile.am                                |  2 -
 bindings/gi.mk                             |  1 -
 libgpaste/common.mk                        | 46 ------------------
 libgpaste/common/gpaste-clipboard-common.c | 76 ------------------------------
 libgpaste/common/gpaste-clipboard-common.h | 34 -------------
 libgpaste/core.mk                          |  5 +-
 libgpaste/core/gpaste-clipboard.c          | 54 ++++++++++++++++++++-
 libgpaste/keybinder.mk                     |  3 +-
 src/gpasted.mk                             |  1 -
 9 files changed, 57 insertions(+), 165 deletions(-)

commit 0c62f311742e6fcde2ace2a4c59b91c44a6ed235
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 28 15:31:52 2013 +0900

    gdbus-macros: move to core
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common.mk                              | 1 -
 libgpaste/core.mk                                | 1 +
 libgpaste/{common => core}/gpaste-gdbus-macros.h | 0
 3 files changed, 1 insertion(+), 1 deletion(-)

commit bab81f41f021d7f2a0a751c479a5921c52cc5acf
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 28 15:28:35 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit ba6a0a00a2313944ed49f12173dc37b80314d958
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 28 15:19:55 2013 +0900

    simplify cleanup funcs
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-macros.h | 58 ++++++++++++++++++------------------------
 1 file changed, 25 insertions(+), 33 deletions(-)

commit 4afbc19bfd99d28983d1a108d91dde2e807d0500
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 28 15:05:11 2013 +0900

    introduce G_PASTE_INIT_GETTEXT
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 bindings/gi.mk                              | 1 -
 libgpaste/core/gpaste-macros.h              | 5 +++++
 libgpaste/keybinder/gpaste-pop-keybinding.h | 4 ----
 src/gpaste-settings/gpaste-settings.c       | 4 +---
 src/gpaste/gpaste.c                         | 4 +---
 src/gpasted/gpasted.c                       | 4 +---
 6 files changed, 8 insertions(+), 14 deletions(-)

commit 095facfc8b0492585ea7fe20c6ee73d090b9d645
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 25 15:24:25 2013 +0900

    gnome-shell-client: clear TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                                     |  6 ------
 libgpaste/gnome-shell-client/gpaste-gnome-shell-client.h |  2 ++
 libgpaste/keybinder/gpaste-keybinder.c                   |  5 +----
 tests/gnome-shell-client/test-gnome-shell-client.c       | 10 ++--------
 4 files changed, 5 insertions(+), 18 deletions(-)

commit 071c92ca765c8cac871359236ec32b12e454dcc9
Merge: d37c55a 7c4789f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 25 15:10:27 2013 +0900

    Merge branch 'wip/async-dbus'
    
    * wip/async-dbus:
      gnome-shell-client: add async ctor
    
    Conflicts:
    	tests/gnome-shell-client/test-gnome-shell-client.c

commit 7c4789f6731aeadd7631f20c452a5c58238b0409
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 25 15:09:51 2013 +0900

    gnome-shell-client: add async ctor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.h                   |  4 +++
 .../gnome-shell-client/gpaste-gnome-shell-client.c | 38 ++++++++++++++++++++--
 .../gnome-shell-client/gpaste-gnome-shell-client.h | 10 +++++-
 .../libgpaste-gnome-shell-client.sym               |  2 ++
 src/gpasted/gpasted.c                              |  2 +-
 tests/gnome-shell-client/test-gnome-shell-client.c |  2 +-
 6 files changed, 53 insertions(+), 5 deletions(-)

commit d37c55a24dc3fa50c5c249157928c301fc2bdf0b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 18:17:57 2013 +0900

    tests: use cleanup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                               |  1 -
 tests/gnome-shell-client/test-gnome-shell-client.c | 16 +---------------
 2 files changed, 1 insertion(+), 16 deletions(-)

commit 569cfcc609d6c248d3807ebc9d89313fadec2a74
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 18:15:16 2013 +0900

    dbus: GDBUS -> DAEMON
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c      |  36 ++++----
 libgpaste/core/gpaste-gdbus-defines.h | 156 +++++++++++++++++-----------------
 libgpaste/daemon/gpaste-daemon.c      |  40 ++++-----
 3 files changed, 116 insertions(+), 116 deletions(-)

commit 0efc0e0d365d4f120e9a320be6467cb453b5b946
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 18:06:49 2013 +0900

    make grab sync for now
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c | 23 +++++++----------------
 1 file changed, 7 insertions(+), 16 deletions(-)

commit bba6b7cada908b0216dc7550f694b6c5dceae8ca
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 18:01:36 2013 +0900

    keybinder: ungrab has to be sync
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c | 28 ++++++++--------------------
 1 file changed, 8 insertions(+), 20 deletions(-)

commit ac9a57ad0de691cd7476d7ae66bc2de5fb3be8d4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 17:56:57 2013 +0900

    keybinder: refactor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit 064e6ba7636074459dcf11d0950a39bbc3eab005
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 17:06:48 2013 +0900

    keybinder: cleanup grabbing stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO                                   |   3 -
 libgpaste/keybinder/gpaste-keybinder.c | 326 +++++++++++++++++++--------------
 2 files changed, 185 insertions(+), 144 deletions(-)

commit c45fc88aac04e997a024136d7794a8712c37f6ba
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 16:56:49 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a3c663d5036fc261ab34a999a7fa668ccc6567e
Merge: f9c382f ada3e01
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 16:53:45 2013 +0900

    Merge branch 'wip/async-dbus'
    
    * wip/async-dbus:
      gpaste-client: add async ctor

commit ada3e01226b5172ebe455811647b396d9751b8c9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 16:53:38 2013 +0900

    gpaste-client: add async ctor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c                   | 38 ++++++++++++++++++++--
 libgpaste/client/gpaste-client.h                   |  6 +++-
 libgpaste/client/libgpaste-client.sym              |  6 +++-
 libgpaste/common/gpaste-gdbus-macros.h             | 29 ++++++++++++++---
 .../gnome-shell-client/gpaste-gnome-shell-client.c |  2 +-
 libgpaste/settings/ui/gpaste-settings-ui-stack.c   |  2 +-
 src/applets/gnome-shell/extension.js               | 20 +++++++-----
 src/applets/legacy/gpaste-applet.vala              |  2 +-
 src/gpaste/gpaste.c                                |  2 +-
 9 files changed, 86 insertions(+), 21 deletions(-)

commit f9c382f7242257c1932a3c6d2a637164a79818dd
Merge: 9f09c0c af7d3af
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 16:11:11 2013 +0900

    Merge branch 'wip/async-dbus'
    
    * wip/async-dbus:
      updates for gnome-shell-client changes
      gnome-shell-client: make async by default

commit af7d3af7d5621ffa13eb5828732c83da627c2389
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 16:10:58 2013 +0900

    updates for gnome-shell-client changes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c             | 105 ++++++++++++---------
 tests/gnome-shell-client/test-gnome-shell-client.c |  18 ++--
 2 files changed, 70 insertions(+), 53 deletions(-)

commit 0c6a8739aec8a8c7de9bc15468ecefbafae25962
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 14:56:06 2013 +0900

    gnome-shell-client: make async by default
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h             |  40 +-
 .../gnome-shell-client/gpaste-gnome-shell-client.c | 509 +++++++++++++++++++--
 .../gnome-shell-client/gpaste-gnome-shell-client.h | 125 ++++-
 .../libgpaste-gnome-shell-client.sym               |  21 +
 4 files changed, 611 insertions(+), 84 deletions(-)

commit 9f09c0cecaacadfe03cef1c683834359de0703d8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 13:57:34 2013 +0900

    gnome-shell: fix empty history
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/gnome-shell/extension.js | 34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit 68f1d87db4eb399080eb70103ac8c9fc881aa53c
Merge: 1ac715d 1cb366c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 13:53:02 2013 +0900

    Merge branch 'wip/async-dbus'
    
    * wip/async-dbus:
      gnome-shell: use the correct ctor

commit 1cb366cbc9a3ab22cdea09abe007a369cae4d61e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 13:52:52 2013 +0900

    gnome-shell: use the correct ctor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/gnome-shell/extension.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ac715d562e50c0cf5f0fa17bffa81cf67612848
Merge: 53afdff ae18a76
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 13:52:05 2013 +0900

    Merge branch 'wip/async-dbus'
    
    * wip/async-dbus:
      dbus: make dbus clients subclasses of GDBusProxy
      gnome-shell: use async gpaste-client
      legacy-applet: use gpaste-client sync
      gpaste-settings & gpaste: use gpaste-client sync
      gpaste-client: make async the default
      gpaste-client: finish async implementation
      gdbus-macros: reorder
      gpaste-client: add basic async calls
      update gitignore

commit ae18a76ccf8031ef8c71cef99e6b69c5b5cfe7f0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 13:32:57 2013 +0900

    dbus: make dbus clients subclasses of GDBusProxy
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client-private.h           |   8 +-
 libgpaste/client/gpaste-client.c                   | 111 +++--------
 libgpaste/common/gpaste-gdbus-macros.h             | 204 +++++++++++----------
 libgpaste/core/gpaste-macros.h                     |  52 +++---
 .../gpaste-gnome-shell-client-private.h            |   8 +-
 .../gnome-shell-client/gpaste-gnome-shell-client.c | 113 +++---------
 6 files changed, 188 insertions(+), 308 deletions(-)

commit e7b14b150ac07b0af64c214152479d3ed5233423
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 11:28:44 2013 +0900

    gnome-shell: use async gpaste-client
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/gnome-shell/extension.js | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit e7f207ca013f99974b5a3431d8227cc53eac6b32
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 11:17:17 2013 +0900

    legacy-applet: use gpaste-client sync
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 9af1a33f9d050bdcb493526469d7f522bd890072
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 11:15:46 2013 +0900

    gpaste-settings & gpaste: use gpaste-client sync
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-stack.c |  8 +++----
 src/gpaste/gpaste.c                              | 30 ++++++++++++------------
 2 files changed, 19 insertions(+), 19 deletions(-)

commit 76a8f360a0fcc78f26000e521ee0852c66a1cef4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 11:12:26 2013 +0900

    gpaste-client: make async the default
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c      | 236 +++++++++++++++++-----------------
 libgpaste/client/gpaste-client.h      | 180 +++++++++++++-------------
 libgpaste/client/libgpaste-client.sym |  45 +++----
 3 files changed, 231 insertions(+), 230 deletions(-)

commit 6a6107f06a56c0fd6cf4fed3b5771603e00f5c54
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 10:35:12 2013 +0900

    gpaste-client: finish async implementation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c       | 289 +++++++++++++++++++++++++++++++++
 libgpaste/common/gpaste-gdbus-macros.h |  63 +++++--
 2 files changed, 342 insertions(+), 10 deletions(-)

commit 39ef3e7740befdfc48a148356e22cd9b7e3bf6f9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 10:03:53 2013 +0900

    gdbus-macros: reorder
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h | 87 +++++++++++++++++++++-------------
 1 file changed, 55 insertions(+), 32 deletions(-)

commit 40c90960c6ca47a8a4fc5d0468e8e0e508bda8d0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 23 09:56:21 2013 +0900

    gpaste-client: add basic async calls
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client.mk                    |   2 +-
 libgpaste/client/gpaste-client.c       | 316 ++++++++++++++++++++++++++++++++-
 libgpaste/client/gpaste-client.h       | 191 ++++++++++++++++----
 libgpaste/client/libgpaste-client.sym  |  33 ++++
 libgpaste/common/gpaste-gdbus-macros.h |  31 +++-
 5 files changed, 526 insertions(+), 47 deletions(-)

commit ebda73b72c66a329ac905474cd387c82a28d58da
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 18:34:13 2013 +0900

    update gitignore
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 53afdff46de08fa269f778c187170cae039f9b1d
Merge: bcd0e1e d625a69
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 18:18:22 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      Release GPaste 3.2.2
      core: fix segv when poping last element
    
    Conflicts:
    	NEWS
    	README.md
    	configure.ac
    	libgpaste/core/gpaste-clipboards-manager.c
    	libgpaste/core/gpaste-history.c

commit d625a69f36b0422026cb957c0871967123db8ca2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 18:16:13 2013 +0900

    Release GPaste 3.2.2
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS         | 4 +++-
 README.md    | 4 ++--
 configure.ac | 2 +-
 3 files changed, 6 insertions(+), 4 deletions(-)

commit d1f625da8d519fbacc7ad54db10e89e1f7c2b7fc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 18:11:30 2013 +0900

    core: fix segv when poping last element
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 2 +-
 libgpaste/core/gpaste-history.c            | 7 ++++++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit bcd0e1e64e9f234bb4574f631bc6b499dc20e151
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 18:05:59 2013 +0900

    core: fix segv when poping last element
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit c4ef66d92482be181a5384dae08415fb930e3468
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 17:52:57 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 834b70a74740c485a2a1ebf865c2bb7cd1312cff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 17:49:53 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit ef839891f99bc8f3e5f044e9955dc895ba171d70
Merge: f48acf8 636baa9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 17:31:42 2013 +0900

    Merge branch 'wip/wayland-work'
    
    * wip/wayland-work:
      keybinder: use gnome-shell-client if available
      keybinder: prepare for gnome-shell-client
      keybinder: appease gobject-introspection
      history: fix leftover
      gpasted: adapt to keybinder changes
      keybinder: move grabbing stuff to keybinder
      rework error message in prevision of gnome-shell support
      keybinder: always enable, just make x11 specific stuff optional
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c
    	libgpaste/keybinder/gpaste-paste-and-pop-keybinding.h
    	src/gpasted/gpasted.c

commit f48acf87d6f124c23b59e608442914544ad9ff05
Merge: 50465a6 39935bf dddc3a6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 17:30:17 2013 +0900

    Merge branches 'wip/gui-tweaks' and 'wip/libgpaste-gnome-shell-client'
    
    * wip/gui-tweaks:
      settings-ui: use switches for booleans
    
    * wip/libgpaste-gnome-shell-client: (23 commits)
      gnome-shell-client: enable g-i
      gnome-shell-client add comments
      macros: remove leftover
      tweak test
      gnome-shell-client: implement grab_accelerator
      gnome-shell-client: add tests for grabs
      gnome-shell-client: fix grab
      gnoe-shell-client: provide keybinding modes
      gnome-shell-client: use GVariantBuilder
      gnome-shell-client: implement ShowOSD
      gnome-shell-client: fix overview_set_active
      gnome-shell-client: fix eval
      add interactive test for gnome-shell client
      gnome-shell-client: add grab-accelerators
      settings-ui-panel: use g_malloc
      fix g_cclosures
      gnome-shell-client: add eval
      dbus: remove unused params from macros
      gnome-shell-client: implement trivial funcs
      gpaste-client: extract more dbus macros
      ...
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

commit 39935bfad7ed400bafd2c89f5284a47b07c1abf4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 21 15:31:21 2013 +0900

    settings-ui: use switches for booleans
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-panel.c | 68 ++++++++++++------------
 libgpaste/settings/ui/gpaste-settings-ui-panel.h | 10 ++--
 libgpaste/settings/ui/gpaste-settings-ui-stack.c | 28 +++++-----
 3 files changed, 54 insertions(+), 52 deletions(-)

commit 50465a66c690f37c6f6fe068b227499836405e67
Merge: 672498b c587d61
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 17:25:04 2013 +0900

    Merge branch 'cleanup-macros'
    
    * cleanup-macros:
      keybinder: make add_keybinding transfer full
      be more typesafe
      complete cleanup macros
      introduce G_PASTE_CLEANUP_ARRAY_FREE
      introduce G_PASTE_CLEANUP_LOOP_UNREF
      cleanup includes
      introduce G_PASTE_CLEANUP_STRING_FREE
      update TODO
      introduce G_PASTE_CLEANUP_TARGETS_UNREF
      introduce G_PASTE_CLEANUP_DATE_UNREF
      introduce G_PASTE_CLEANUP_REGEX_UNREF
      introduce G_PASTE_CLEANUP_STRFREEV
      update TODO
      libgpate: modernize
      introduce G_PASTE_CLEANUP_ERROR_FREE
      introduce G_PASTE_CLEANUP_VARIANT_UNREF
      introduce G_PASTE_CLEANUP_UNREF
      introduce G_PASTE_CLEANUP_FREE
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	libgpaste/daemon/gpaste-daemon.c
    	libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c

commit 672498b8c4ce69f4b679e01a1045325aa766f320
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 17:12:48 2013 +0900

    remove now unused lock
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 42 ------------------------------
 libgpaste/core/gpaste-clipboards-manager.h |  2 --
 libgpaste/core/libgpaste-core.sym          |  2 --
 3 files changed, 46 deletions(-)

commit b79b6667c1d4893a1ccb0b8782660f0c999c5a8c
Merge: 9b4d9e6 ff0ce77
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 17:10:25 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      update NEWS
      update translations
      PasteAndPop -> Pop
      keybinder: make paste and pop only pop
      post release version bump
      Release GPaste 3.2.1
      clipboards-mmanager: fix bad cherry-pick
      post release version bump
      fix build
      udpate french translation
      update finnish translation
      po: remove unneeded c-format
      update pt_BR translation
      update spanish translation
      update translatable strings
      update THANKS
      Fix orthograph for sélection
      Release GPaste 3.2
      make g_paste_history_add transfer full
    
    Conflicts:
    	NEWS
    	README.md
    	configure.ac
    	libgpaste/common/gpaste-settings-keys.h
    	libgpaste/core/gpaste-clipboards-manager.c
    	libgpaste/core/gpaste-history.c
    	libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c
    	libgpaste/keybinder/gpaste-paste-and-pop-keybinding.h
    	libgpaste/keybinder/gpaste-pop-keybinding-private.h
    	libgpaste/settings/gpaste-settings.c
    	libgpaste/settings/gpaste-settings.h
    	libgpaste/settings/ui/gpaste-settings-ui-stack.c
    	po/es.po
    	po/fi.po
    	po/fr.po
    	po/pt_BR.po
    	src/gpasted/gpasted.c

commit ff0ce772a4d614d498bae569ba2695f7bd6529fc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 16:42:53 2013 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 3aade5a42d8735972822919ab410ba7bcc973dfd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 16:42:28 2013 +0900

    update translations
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/es.po    | 13 ++++++-------
 po/fi.po    | 13 +++++--------
 po/fr.po    | 14 ++++++--------
 po/pt_BR.po | 15 ++++++---------
 4 files changed, 23 insertions(+), 32 deletions(-)

commit 7a5905bdd3b25ed205e265ed4c06d18c54359fcb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 16:39:23 2013 +0900

    PasteAndPop -> Pop
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/control-center/42-gpaste.xml.in.in            |  2 +-
 data/gsettings/org.gnome.GPaste.gschema.xml        |  4 +-
 libgpaste/common/gpaste-settings-keys.h            |  2 +-
 libgpaste/keybinder.mk                             |  6 +--
 .../keybinder/gpaste-paste-and-pop-keybinding.h    | 57 ----------------------
 ...g-private.h => gpaste-pop-keybinding-private.h} | 16 +++---
 ...nd-pop-keybinding.c => gpaste-pop-keybinding.c} | 44 ++++++++---------
 libgpaste/keybinder/gpaste-pop-keybinding.h        | 56 +++++++++++++++++++++
 libgpaste/keybinder/libgpaste-keybinder.sym        |  4 +-
 libgpaste/settings.mk                              |  2 +-
 libgpaste/settings/gpaste-settings.c               | 26 +++++-----
 libgpaste/settings/gpaste-settings.h               |  4 +-
 libgpaste/settings/libgpaste-settings.sym          |  8 ++-
 .../settings/ui/gpaste-settings-ui-notebook.c      | 16 +++---
 src/gpasted/gpasted.c                              |  6 +--
 15 files changed, 128 insertions(+), 125 deletions(-)

commit ee0d1af589e7b62e54e22c9244bafddfb9f18c99
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 16:19:50 2013 +0900

    keybinder: make paste and pop only pop
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac                                       |   2 +-
 .../keybinder/gpaste-paste-and-pop-keybinding.c    | 104 ++-------------------
 .../keybinder/gpaste-paste-and-pop-keybinding.h    |   5 +-
 src/gpasted/gpasted.c                              |   3 +-
 4 files changed, 13 insertions(+), 101 deletions(-)

commit dddc3a67ed89cb9471468b1a9e4b8ed28d46424e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 16:08:08 2013 +0900

    gnome-shell-client: enable g-i
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 bindings/gi.mk                                           | 4 ++++
 libgpaste/gnome-shell-client/gpaste-gnome-shell-client.c | 8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 008e94ac8b11d0b83f80c7bebef09869ffc38100
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 22 15:48:41 2013 +0900

    gnome-shell-client add comments
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../gnome-shell-client/gpaste-gnome-shell-client.c | 83 +++++++++++++++++++++-
 1 file changed, 82 insertions(+), 1 deletion(-)

commit 715a527eadc94ef4954c1592a8ddcc67246d564c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 20 12:36:07 2013 +0900

    macros: remove leftover
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-macros.h                           | 2 --
 libgpaste/gnome-shell-client/gpaste-gnome-shell-client.c | 1 -
 2 files changed, 3 deletions(-)

commit 636baa9ec4992aa8f4869c199aa6cb83cc3c6810
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 20 14:31:15 2013 +0900

    keybinder: use gnome-shell-client if available
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c      | 135 +++++++++++++++++++++++++---
 libgpaste/keybinder/gpaste-keybinding.c     |  40 ++++++++-
 libgpaste/keybinder/gpaste-keybinding.h     |   9 +-
 libgpaste/keybinder/libgpaste-keybinder.sym |   2 +
 4 files changed, 169 insertions(+), 17 deletions(-)

commit 0ae4c68d0f6c554e4748efaebb38828cd5bc1c91
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 20 13:42:53 2013 +0900

    keybinder: prepare for gnome-shell-client
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 bindings/gi.mk                         |  4 +++
 libgpaste/keybinder.mk                 |  1 +
 libgpaste/keybinder/gpaste-keybinder.c | 52 ++++++++++++++++++++++++++--------
 libgpaste/keybinder/gpaste-keybinder.h |  4 ++-
 src/gpasted.mk                         |  1 +
 src/gpasted/gpasted.c                  |  3 +-
 6 files changed, 51 insertions(+), 14 deletions(-)

commit f7516fa50fe198425ec2090a745ea760cc4a5457
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 20 12:46:39 2013 +0900

    keybinder: appease gobject-introspection
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c      |  5 ++---
 libgpaste/keybinder/gpaste-keybinding.c     | 27 ++++++---------------------
 libgpaste/keybinder/gpaste-keybinding.h     |  9 ++++-----
 libgpaste/keybinder/libgpaste-keybinder.sym |  1 -
 4 files changed, 12 insertions(+), 30 deletions(-)

commit 1c31e106dffa03c76b34c17797bb7279fa665e9b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 20 12:22:29 2013 +0900

    history: fix leftover
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 005265e4edc1bf1531d9bd76fe4a29bed96d11ea
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 20 12:18:30 2013 +0900

    gpasted: adapt to keybinder changes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpasted/gpasted.c | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 52d8dc6d9e0950542d17fc7acee080cdcf8723b5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 20 11:26:15 2013 +0900

    keybinder: move grabbing stuff to keybinder
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder.mk                             |   2 +-
 libgpaste/keybinder/gpaste-keybinder.c             | 193 ++++++++++++++++++--
 libgpaste/keybinder/gpaste-keybinder.h             |   2 +-
 libgpaste/keybinder/gpaste-keybinding-private.h    |   1 -
 libgpaste/keybinder/gpaste-keybinding.c            | 199 ++++++++-------------
 libgpaste/keybinder/gpaste-keybinding.h            |  11 +-
 .../keybinder/gpaste-paste-and-pop-keybinding.c    |   5 +-
 .../keybinder/gpaste-paste-and-pop-keybinding.h    |   3 +-
 .../keybinder/gpaste-show-history-keybinding.c     |   5 +-
 .../keybinder/gpaste-show-history-keybinding.h     |   3 +-
 .../gpaste-sync-clipboard-to-primary-keybinding.c  |   5 +-
 .../gpaste-sync-clipboard-to-primary-keybinding.h  |   3 +-
 .../gpaste-sync-primary-to-clipboard-keybinding.c  |   5 +-
 .../gpaste-sync-primary-to-clipboard-keybinding.h  |   3 +-
 libgpaste/keybinder/libgpaste-keybinder.sym        |  10 +-
 15 files changed, 282 insertions(+), 168 deletions(-)

commit ab2bffbf579a8ccb8a684e8a696f310206e78285
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 13:15:09 2013 +0900

    tweak test
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 tests/gnome-shell-client/test-gnome-shell-client.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89fcad7029e8263049b94be887effa0946e39d17
Merge: 1928954 577b614
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 13:13:30 2013 +0900

    Merge branch 'wip/libgpaste-gnome-shell-client' into wip/wayland-work
    
    * wip/libgpaste-gnome-shell-client:
      gnome-shell-client: implement grab_accelerator
      gnome-shell-client: add tests for grabs
      gnome-shell-client: fix grab
      gnoe-shell-client: provide keybinding modes
      gnome-shell-client: use GVariantBuilder
      gnome-shell-client: implement ShowOSD
      gnome-shell-client: fix overview_set_active
      gnome-shell-client: fix eval
      add interactive test for gnome-shell client
      gnome-shell-client: add grab-accelerators
      settings-ui-panel: use g_malloc
      fix g_cclosures
      gnome-shell-client: add eval
      dbus: remove unused params from macros
      gnome-shell-client: implement trivial funcs
      gpaste-client: extract more dbus macros
      gpaste-client: port to new macros
      gnome-shell-client: split gdbus macros
      introduce libgpaste-gnome-shell-client

commit 577b6143896ed30ae6eb23c6766602539f310075
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 13:13:20 2013 +0900

    gnome-shell-client: implement grab_accelerator
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h             |  6 ++++++
 .../gnome-shell-client/gpaste-gnome-shell-client.c | 15 ++++++++++++++
 .../gnome-shell-client/gpaste-gnome-shell-client.h |  5 ++++-
 .../libgpaste-gnome-shell-client.sym               |  1 +
 tests/gnome-shell-client/test-gnome-shell-client.c | 24 ++++++++++++++++------
 5 files changed, 44 insertions(+), 7 deletions(-)

commit 46d397eb698ef682b11ff7546145bff05afc8239
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 12:49:04 2013 +0900

    gnome-shell-client: add tests for grabs
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 tests/gnome-shell-client/test-gnome-shell-client.c | 86 +++++++++++++++++++++-
 1 file changed, 83 insertions(+), 3 deletions(-)

commit 385bb3f3d5d003154014d5f56c6b6c7e7792c9d3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 11:08:47 2013 +0900

    gnome-shell-client: fix grab
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 39aa065e57e1430e3d3c333f43eef51577c09a43
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 10:38:04 2013 +0900

    gnoe-shell-client: provide keybinding modes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../gnome-shell-client/gpaste-gnome-shell-client.h | 43 +++++++++++++++++++++-
 1 file changed, 41 insertions(+), 2 deletions(-)

commit ef48cbcf949fc8e0b55d3106338debb4ae590386
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 10:16:55 2013 +0900

    post release version bump
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 5cfe7e3bbf83f8785243dd443342480c26b95122
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 10:15:49 2013 +0900

    Release GPaste 3.2.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS         | 6 ++++++
 README.md    | 4 ++--
 configure.ac | 2 +-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit a98af23928b133cc95febb03da2550b6f1f2c54f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 10:10:44 2013 +0900

    clipboards-mmanager: fix bad cherry-pick
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1e95b3af07e15cd1dcd4505e2dbda74e31c61fa8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 19 00:38:38 2013 +0900

    gnome-shell-client: use GVariantBuilder
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../gnome-shell-client/gpaste-gnome-shell-client.c   | 20 ++++++++++----------
 .../gnome-shell-client/gpaste-gnome-shell-client.h   |  1 -
 2 files changed, 10 insertions(+), 11 deletions(-)

commit d94dc7d66b5de4e444842e7e44b0ce3c4b2e9da2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 18 23:57:40 2013 +0900

    gnome-shell-client: implement ShowOSD
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h             |  3 ++
 libgpaste/core/gpaste-macros.h                     |  2 ++
 .../gnome-shell-client/gpaste-gnome-shell-client.c | 36 +++++++++++++++++++
 .../gnome-shell-client/gpaste-gnome-shell-client.h |  5 +++
 .../libgpaste-gnome-shell-client.sym               |  1 +
 tests/gnome-shell-client/test-gnome-shell-client.c | 42 ++++++++++++++++++----
 6 files changed, 82 insertions(+), 7 deletions(-)

commit f15eee7ecf799bc5abc07610d2dcf296b0d09e89
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 18 20:50:22 2013 +0900

    gnome-shell-client: fix overview_set_active
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h             | 2 +-
 tests/gnome-shell-client/test-gnome-shell-client.c | 5 +----
 2 files changed, 2 insertions(+), 5 deletions(-)

commit bcfe7c14f93bdcea9df6d0d324971074122f0281
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 18 20:04:14 2013 +0900

    gnome-shell-client: fix eval
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h             | 33 ++++++++++++++++------
 tests/gnome-shell-client/test-gnome-shell-client.c | 30 ++++++++++++++------
 2 files changed, 46 insertions(+), 17 deletions(-)

commit 743642140614cbf9b2a706d2948e0cd051505eef
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 18 19:30:15 2013 +0900

    add interactive test for gnome-shell client
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .gitignore                                         |   4 +-
 Makefile.am                                        |   9 ++
 tests/gnome-shell-client.mk                        |  32 ++++++
 tests/gnome-shell-client/test-gnome-shell-client.c | 122 +++++++++++++++++++++
 4 files changed, 165 insertions(+), 2 deletions(-)

commit 9b4d9e6f8662eb7dbd451de21cd7eb9e96aa76fa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 21:25:19 2013 +0900

    daemon: simplify dbus message answering
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/daemon/gpaste-daemon.c | 161 ++++++++++++---------------------------
 1 file changed, 50 insertions(+), 111 deletions(-)

commit 7af3e62067cf098182bb5a4f6c78e4166e5907ae
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 18:38:07 2013 +0900

    gnome-shell-client: add grab-accelerators
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h             | 29 ++++++++++++++++++++++
 .../gnome-shell-client/gpaste-gnome-shell-client.c | 28 ++++++++++++++++++++-
 .../gnome-shell-client/gpaste-gnome-shell-client.h | 10 ++++++++
 .../libgpaste-gnome-shell-client.sym               |  1 +
 4 files changed, 67 insertions(+), 1 deletion(-)

commit 347eb2a6747aee572c91cf90126994814277ef46
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 18:15:42 2013 +0900

    settings-ui-panel: use g_malloc
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-panel.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit cb5818812c94c2aba944f4a8d2e2e974b50fa242
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 17:43:44 2013 +0900

    fix g_cclosures
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c                   | 24 +++++++--------
 .../gnome-shell-client/gpaste-gnome-shell-client.c |  2 +-
 libgpaste/settings/gpaste-settings.c               | 34 +++++++++++-----------
 3 files changed, 30 insertions(+), 30 deletions(-)

commit 8161f364c74f52c8384ffedcac814dbc4d81c84d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 17:09:36 2013 +0900

    gnome-shell-client: add eval
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h             | 63 +++++++++++++++++-----
 .../gnome-shell-client/gpaste-gnome-shell-client.c | 19 ++++++-
 .../gnome-shell-client/gpaste-gnome-shell-client.h |  4 ++
 .../libgpaste-gnome-shell-client.sym               |  1 +
 4 files changed, 73 insertions(+), 14 deletions(-)

commit f1017ba273dd71a3ed68d9acc997412772a6fa24
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 16:35:38 2013 +0900

    dbus: remove unused params from macros
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-gdbus-macros.h | 64 ++++++++++++++++------------------
 1 file changed, 31 insertions(+), 33 deletions(-)

commit fdb725a272487083eb3acbe0510a57284eadafe9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:50:46 2013 +0900

    post release version bump
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98b2d7211fc0fe256efdc655a157d16bcb8b18bd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:48:57 2013 +0900

    Release GPaste 3.6
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS      | 4 +++-
 README.md | 4 ++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 40d550a6a8f80688bb60dd8f0df747bb130b2ad7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:39:11 2013 +0900

    fix build
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b2e4ce9d112e7a3337031f022c7a2d5418713bb4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:35:18 2013 +0900

    update-po
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/POTFILES.in |   2 +-
 po/es.po       | 105 +++++++++++++++++++++++++------------------------------
 po/fi.po       | 107 ++++++++++++++++++++++++++-------------------------------
 po/fr.po       | 107 ++++++++++++++++++++++++++-------------------------------
 po/pt_BR.po    | 107 ++++++++++++++++++++++++++-------------------------------
 5 files changed, 192 insertions(+), 236 deletions(-)

commit 971307da89129c3810b282989bf7181951c39d20
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:28:59 2013 +0900

    udpate french translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/fr.po | 379 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 212 insertions(+), 167 deletions(-)

commit 3bc3bd4522450e9c42555a6074f3983e3e430777
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:16:53 2013 +0900

    update finnish translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/fi.po | 396 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 208 insertions(+), 188 deletions(-)

commit 9b3f21709b719cf6b2ee97b5737805271153e1a4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:07:08 2013 +0900

    po: remove unneeded c-format
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/es.po | 4 ----
 1 file changed, 4 deletions(-)

commit 5fc54d2236bb11a27f5e81c6497fe432935665c6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:05:16 2013 +0900

    update pt_BR translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/pt_BR.po | 371 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 202 insertions(+), 169 deletions(-)

commit 4d4aa77823eddd9fb209ee87b4d40e76756799a9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 13:53:48 2013 +0900

    update spanish translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/es.po | 390 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 208 insertions(+), 182 deletions(-)

commit 69285c2c9df287d0d94b485287b05ee89f11f8df
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 13:30:42 2013 +0900

    update translatable strings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/control-center/42-gpaste.xml.in.in          |  4 +-
 libgpaste/settings/ui/gpaste-settings-ui-stack.c |  2 +-
 src/gpaste/gpaste.c                              | 66 ++++++++++++++++--------
 3 files changed, 47 insertions(+), 25 deletions(-)

commit 5b9bc0019cd161002f6c03d64e130135b8428357
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 12:56:54 2013 +0900

    update THANKS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 THANKS | 1 +
 1 file changed, 1 insertion(+)

commit 444dd04807223a61cb643dbcfd3d9e2c86d38188
Author: Julien Durillon <julien.durillon@gmail.com>
Date:   Wed Oct 16 00:29:58 2013 +0200

    Fix orthograph for sélection

commit ce7905455390a8978d71e7b6cd4de06795d9527c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 16 15:52:07 2013 +0900

    Release GPaste 3.2
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS      | 3 ++-
 README.md | 4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 0c02053f446c8b75b1f15412162b1417e801a91c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:39:33 2013 +0900

    post release version bump
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 045a25a9f7035598a5430259c7739fe0dafa3690
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:39:11 2013 +0900

    fix build
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste/gpaste.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3037d56352637d6062c032ddab30f2f59beb4243
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:28:59 2013 +0900

    udpate french translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/fr.po | 379 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 212 insertions(+), 167 deletions(-)

commit dae46d9f379ffce1ec07b759ae88cb4c404c699a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:16:53 2013 +0900

    update finnish translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/fi.po | 396 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 208 insertions(+), 188 deletions(-)

commit 186774ff8146c82a946e671f55be21d96ab04a66
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:07:08 2013 +0900

    po: remove unneeded c-format
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/es.po | 4 ----
 1 file changed, 4 deletions(-)

commit 172f4734a5b475c81855f32e02a7c0cd68e77fb2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 14:05:16 2013 +0900

    update pt_BR translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/pt_BR.po | 371 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 202 insertions(+), 169 deletions(-)

commit 0df87fee246d4dbe95a3304734d8d3d7e27f9a32
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 13:53:48 2013 +0900

    update spanish translation
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 po/es.po | 390 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 208 insertions(+), 182 deletions(-)

commit 2e645b975c9decc447c28fe35f93c05c09f562ff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 13:30:42 2013 +0900

    update translatable strings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/control-center/42-gpaste.xml.in.in            |  4 +-
 .../settings/ui/gpaste-settings-ui-notebook.c      |  2 +-
 src/gpaste/gpaste.c                                | 66 ++++++++++++++--------
 3 files changed, 47 insertions(+), 25 deletions(-)

commit ae43faccba7543fa45484e13cc052f81ced126e6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 17 12:56:54 2013 +0900

    update THANKS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 THANKS | 1 +
 1 file changed, 1 insertion(+)

commit ced37766b3d962d6ba94548e126fffd33186a8aa
Author: Julien Durillon <julien.durillon@gmail.com>
Date:   Wed Oct 16 00:29:58 2013 +0200

    Fix orthograph for sélection

 po/fr.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c6bcae4a9b02832552c99e02738ec08411c51295
Merge: 5df416d c32ee78
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 16 20:55:45 2013 -0700

    Merge pull request #57 from judu/patch-1
    
    Fix orthograph for sélection

commit bc37739f76a19a18d66dd7ba0acd0e2a2a24d305
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 16 20:06:50 2013 +0900

    gnome-shell-client: implement trivial funcs
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../gnome-shell-client/gpaste-gnome-shell-client.c | 40 ++++++++++++++++++++++
 .../gnome-shell-client/gpaste-gnome-shell-client.h | 11 ++++++
 .../libgpaste-gnome-shell-client.sym               |  4 +++
 3 files changed, 55 insertions(+)

commit 54396074ad01d338dc5bbb69f7c6c49ff97be857
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 16 19:26:08 2013 +0900

    gpaste-client: extract more dbus macros
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c       | 89 +++++++++-------------------------
 libgpaste/common/gpaste-gdbus-macros.h | 56 +++++++++++++++++++++
 2 files changed, 78 insertions(+), 67 deletions(-)

commit 44c5a18bd135669256ff439bff8997e125e8bbb6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 16 18:17:50 2013 +0900

    gpaste-client: port to new macros
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 3920d3215a2072e81923e299721ed0744a5cac38
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 16 18:09:54 2013 +0900

    gnome-shell-client: split gdbus macros
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common.mk                                |  1 +
 libgpaste/common/gpaste-gdbus-macros.h             | 73 ++++++++++++++++++++++
 .../gnome-shell-client/gpaste-gnome-shell-client.c | 46 ++++----------
 3 files changed, 87 insertions(+), 33 deletions(-)

commit c55cfbabc9271c6b49c6b722d0b5449af503c8b2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 15 00:41:08 2013 +0900

    introduce libgpaste-gnome-shell-client
    
    Only signal and properties for now
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 Makefile.am                                        |   2 +
 libgpaste/client/gpaste-client.c                   |   4 +-
 libgpaste/core/gpaste-gdbus-defines.h              |   2 +-
 libgpaste/daemon/gpaste-daemon.c                   |   2 +-
 libgpaste/gnome-shell-client.mk                    |  67 +++++
 .../gpaste-gnome-shell-client-private.h            |  41 +++
 .../gnome-shell-client/gpaste-gnome-shell-client.c | 312 +++++++++++++++++++++
 .../gnome-shell-client/gpaste-gnome-shell-client.h |  52 ++++
 .../libgpaste-gnome-shell-client.sym               |  11 +
 9 files changed, 489 insertions(+), 4 deletions(-)

commit 86cdc575ab2935afe178062599e62331474d1571
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 16 15:52:07 2013 +0900

    Release GPaste 3.2
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS      | 3 ++-
 README.md | 4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit c32ee78646ebb1cc3bb6cc608b4edc75354b78b8
Author: Julien Durillon <julien.durillon@gmail.com>
Date:   Wed Oct 16 00:29:58 2013 +0200

    Fix orthograph for sélection

 po/fr.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 19289543eee57b1dda324a2233d70c9a15f80c73
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 16:55:15 2013 +0900

    rework error message in prevision of gnome-shell support
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding.c               | 8 ++++----
 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c | 4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 093034c3b00411faf0533065a8215e8cf93df479
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 16:51:55 2013 +0900

    keybinder: always enable, just make x11 specific stuff optional
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac                                          |  3 ---
 data/pkg-config.mk                                    |  1 -
 data/pkg-config/gpaste-client-1.0.pc.in               |  2 +-
 data/pkg-config/gpaste-core-1.0.pc.in                 |  2 +-
 data/pkg-config/gpaste-daemon-1.0.pc.in               |  2 +-
 data/pkg-config/gpaste-settings-1.0.pc.in             |  2 +-
 data/pkg-config/gpaste-settings-ui-1.0.pc.in          |  2 +-
 libgpaste/core/gpaste.h                               |  6 +-----
 libgpaste/daemon/gpaste-daemon.c                      |  8 --------
 libgpaste/daemon/gpaste-daemon.h                      |  6 +-----
 libgpaste/keybinder.mk                                |  2 --
 libgpaste/keybinder/gpaste-keybinding.c               | 16 ++++++++--------
 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c |  8 ++++----
 src/gpasted/gpasted.c                                 | 10 ----------
 14 files changed, 19 insertions(+), 51 deletions(-)

commit c587d61c5cf8ec3ab4a78ff4addb63b5ecf6f9c8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 15:49:05 2013 +0900

    keybinder: make add_keybinding transfer full
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c |  4 ++--
 src/gpasted/gpasted.c                  | 27 ++++++++++++---------------
 2 files changed, 14 insertions(+), 17 deletions(-)

commit a0d98d5572c0458734eab8337a0aff73821a55da
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 15:23:02 2013 +0900

    be more typesafe
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-macros.h | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit 279a978558e26ba65392c60bab2a93d9eae57e89
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:58:06 2013 +0900

    complete cleanup macros
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c |  6 ++----
 libgpaste/core/gpaste-macros.h             | 26 ++++++++++++++++----------
 src/gpaste-settings/gpaste-settings.c      |  3 +--
 3 files changed, 19 insertions(+), 16 deletions(-)

commit 56fa8867f81e3683d1fbaf192841ed6a8f1e2b8b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:45:19 2013 +0900

    introduce G_PASTE_CLEANUP_ARRAY_FREE
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 17 +++++------------
 libgpaste/core/gpaste-macros.h  |  2 ++
 2 files changed, 7 insertions(+), 12 deletions(-)

commit 7166007b38fc281907e6479174931094aa9a27b2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:41:42 2013 +0900

    introduce G_PASTE_CLEANUP_LOOP_UNREF
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-macros.h | 2 ++
 src/gpasted/gpasted.c          | 3 +--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 8e78b7a3eca9208d9f89ff6424b60ddc1d993d84
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:38:14 2013 +0900

    cleanup includes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 Makefile.am                                      |  2 +-
 libgpaste/common.mk                              |  1 -
 libgpaste/core.mk                                |  1 -
 libgpaste/core/gpaste-clipboard.h                |  2 --
 libgpaste/core/gpaste-macros.h                   | 26 ++++++++++++------------
 libgpaste/daemon.mk                              |  1 -
 libgpaste/daemon/gpaste-daemon.c                 |  2 --
 libgpaste/keybinder.mk                           |  1 -
 libgpaste/keybinder/gpaste-keybinding.c          |  2 --
 libgpaste/settings/ui.mk                         |  1 -
 libgpaste/settings/ui/gpaste-settings-ui-panel.h |  2 --
 src/gpaste-settings.mk                           |  1 -
 src/gpasted.mk                                   |  1 -
 13 files changed, 14 insertions(+), 29 deletions(-)

commit 26e087dadc85c7df27be6e81a83bd88d961d3c5b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:24:49 2013 +0900

    introduce G_PASTE_CLEANUP_STRING_FREE
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-clipboard-common.c |  3 +--
 libgpaste/core/gpaste-macros.h             | 26 +++++++++++++++++++-------
 src/gpaste/gpaste.c                        |  4 +---
 3 files changed, 21 insertions(+), 12 deletions(-)

commit aa69d6e692a1b2fa718050ddbbf8d358f5fea518
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:20:54 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 69d261b15ab6cbedb4fd202d61b35713612f9005
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:19:01 2013 +0900

    introduce G_PASTE_CLEANUP_TARGETS_UNREF
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboard.c                     |  3 +--
 libgpaste/core/gpaste-macros.h                        | 13 +++++++------
 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c |  3 +--
 3 files changed, 9 insertions(+), 10 deletions(-)

commit 3de5b47d6d2ae393f12895e125e76a8cfbd98500
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:16:18 2013 +0900

    introduce G_PASTE_CLEANUP_DATE_UNREF
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c |  7 +++----
 libgpaste/core/gpaste-macros.h  | 12 +++++++-----
 2 files changed, 10 insertions(+), 9 deletions(-)

commit cc7eab1c8ed55b3ff4d51937d5b4820363374957
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:12:57 2013 +0900

    introduce G_PASTE_CLEANUP_REGEX_UNREF
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c   | 25 +++++++++++--------------
 libgpaste/core/gpaste-macros.h    |  2 ++
 libgpaste/core/gpaste-uris-item.c | 19 ++++++++-----------
 3 files changed, 21 insertions(+), 25 deletions(-)

commit 225a85b73f2548e5d127a23bc355ed59cc2f0c4a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 14:08:41 2013 +0900

    introduce G_PASTE_CLEANUP_STRFREEV
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-macros.h    | 6 ++++--
 libgpaste/core/gpaste-uris-item.c | 3 +--
 libgpaste/daemon/gpaste-daemon.c  | 4 +---
 src/gpaste/gpaste.c               | 7 ++-----
 4 files changed, 8 insertions(+), 12 deletions(-)

commit 46bc0312f46c9ab5253f0e8fa86ef90367064940
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 13:17:19 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69a40dfef699b4e53b67d37011b4bced5e84a661
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 13:09:56 2013 +0900

    libgpate: modernize
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboard.c                |  4 ++--
 libgpaste/core/gpaste-clipboards-manager.c       |  4 ++--
 libgpaste/core/gpaste-history.c                  |  4 ++--
 libgpaste/core/gpaste-image-item.c               |  4 ++--
 libgpaste/core/gpaste-text-item.c                |  2 +-
 libgpaste/core/gpaste-uris-item.c                |  2 +-
 libgpaste/daemon/gpaste-daemon.c                 | 12 ++++++------
 libgpaste/keybinder/gpaste-keybinding.c          |  6 +++---
 libgpaste/settings/ui/gpaste-settings-ui-panel.c |  2 +-
 9 files changed, 20 insertions(+), 20 deletions(-)

commit b133aa764b5dc4ad2cfbebdbe2da23b5390b63ec
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 13:06:40 2013 +0900

    introduce G_PASTE_CLEANUP_ERROR_FREE
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c                  | 7 ++++---
 libgpaste/core/gpaste-macros.h                   | 2 ++
 libgpaste/settings/ui/gpaste-settings-ui-stack.c | 7 +++----
 src/gpaste-settings/gpaste-settings.c            | 4 ++--
 src/gpaste/gpaste.c                              | 3 +--
 src/gpasted/gpasted.c                            | 3 +--
 6 files changed, 13 insertions(+), 13 deletions(-)

commit b1edc439bdd4d280528c79c9de6af00b34a1ac74
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 12:44:19 2013 +0900

    introduce G_PASTE_CLEANUP_VARIANT_UNREF
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c | 92 +++++++++++++++++++---------------------
 libgpaste/core/gpaste-macros.h   |  6 ++-
 libgpaste/daemon/gpaste-daemon.c | 20 +++------
 3 files changed, 53 insertions(+), 65 deletions(-)

commit 23553f098adba087256904b5ac463b6833cb5c19
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 12:35:34 2013 +0900

    introduce G_PASTE_CLEANUP_UNREF
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c           |  2 +-
 libgpaste/client/gpaste-client.h           |  2 --
 libgpaste/core/gpaste-clipboards-manager.c | 10 ++----
 libgpaste/core/gpaste-history.c            | 49 +++++++++++-------------------
 libgpaste/core/gpaste-image-item.c         |  3 +-
 libgpaste/core/gpaste-item.h               |  2 --
 libgpaste/core/gpaste-macros.h             | 13 +++++---
 libgpaste/daemon/gpaste-daemon.c           |  9 ++----
 libgpaste/settings/gpaste-settings.h       |  2 --
 src/gpaste/gpaste.c                        |  4 +--
 src/gpasted/gpasted.c                      | 24 +++++----------
 11 files changed, 43 insertions(+), 77 deletions(-)

commit c70bb70a4f3281a98fa3217419a4b59da22ac4b4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 14 12:07:20 2013 +0900

    introduce G_PASTE_CLEANUP_FREE
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c                   |  7 +--
 libgpaste/common/gpaste-clipboard-common.c         |  3 +-
 libgpaste/core/gpaste-clipboard.c                  | 25 +++------
 libgpaste/core/gpaste-history.c                    | 64 +++++++---------------
 libgpaste/core/gpaste-image-item.c                 | 21 +++----
 libgpaste/core/gpaste-macros.h                     | 18 ++++++
 libgpaste/core/gpaste-uris-item.c                  | 36 ++++++------
 libgpaste/daemon/gpaste-daemon.c                   | 32 ++++-------
 libgpaste/keybinder/gpaste-keybinding.c            |  4 +-
 .../keybinder/gpaste-paste-and-pop-keybinding.c    |  3 +-
 libgpaste/settings/ui/gpaste-settings-ui-panel.c   |  3 +-
 libgpaste/settings/ui/gpaste-settings-ui-stack.c   |  6 +-
 12 files changed, 89 insertions(+), 133 deletions(-)

commit 5df416dd7fc0924cc86e902b0d5c7ad81c555fff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 13 22:39:01 2013 +0900

    keybinder: don't store transient stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c             | 31 ++++++++--------------
 libgpaste/keybinder/gpaste-keybinding-private.h    |  3 ---
 libgpaste/keybinder/gpaste-keybinding.c            | 14 +++++-----
 .../keybinder/gpaste-paste-and-pop-keybinding.c    |  2 +-
 4 files changed, 18 insertions(+), 32 deletions(-)

commit eb346e0f6d7834b610c7bab33dada147a27972ee
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 13 17:30:45 2013 +0900

    keybinder: flush after ungrab
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c | 2 ++
 1 file changed, 2 insertions(+)

commit 343de161bb3765a6f3a35bb2ce079f42f1da1319
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 13 17:24:48 2013 +0900

    allow scroll lock
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 2f81c764a34a83b98bae433a983ed6362fbe1904
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 13 17:23:20 2013 +0900

    keybinder: cleanup includes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding.c               |  8 ++++++++
 libgpaste/keybinder/gpaste-keybinding.h               | 12 +++---------
 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c |  6 +++++-
 3 files changed, 16 insertions(+), 10 deletions(-)

commit 0ed33962742711a013b60a0082d303b83b3fd6e4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 13 17:17:46 2013 +0900

    remove unused includes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 9 ---------
 libgpaste/keybinder/gpaste-keybinder.c     | 4 ----
 2 files changed, 13 deletions(-)

commit 8dd94e5b6c5792ee8b4ca3f0d53003c0800ed07a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 13 15:42:22 2013 +0900

    make g_paste_history_add transfer full
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 3 ---
 libgpaste/core/gpaste-history.c            | 5 ++---
 libgpaste/daemon/gpaste-daemon.c           | 1 -
 3 files changed, 2 insertions(+), 7 deletions(-)

commit 509b8c7e9d19f97c193507698d11f4c1e42c0ebd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Oct 12 12:57:52 2013 +0900

    conditionnally emit selected signal (fixes #55)
    
    Btw, make g_paste_history_add transfer full
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c |  3 ---
 libgpaste/core/gpaste-history.c            | 17 +++++++++--------
 libgpaste/daemon/gpaste-daemon.c           |  1 -
 3 files changed, 9 insertions(+), 12 deletions(-)

commit 7a6fbc80afc80e6c396634022d091504e006d9b2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 11 22:16:02 2013 +0900

    keybinder: tweak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fb534c79a1d610be7d7783e48a78187657e5c0ea
Merge: 4f0e8b6 d18ed43
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 11 20:09:14 2013 -0700

    Merge pull request #53 from heftig/master
    
    Some fixes

commit d18ed43b8b4cb1f6bb8fb06ce964026dd86a7a52
Author: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Date:   Fri Oct 11 19:41:45 2013 +0200

    Fix a crasher when keybindings are unset

 libgpaste/keybinder/gpaste-keybinding.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d31fc4aae855a4b1a066d54f10d2ade6f0072089
Author: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Date:   Fri Oct 11 19:09:33 2013 +0200

    Remove two warnings

 libgpaste/core/gpaste-item.c     | 2 +-
 libgpaste/daemon/gpaste-daemon.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 4f0e8b69d08c255fd22e4ebad7af435f7104af53
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 11 18:31:39 2013 +0900

    keybinder: make ungrab code generic
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c  | 49 +++++++++------------------------
 libgpaste/keybinder/gpaste-keybinding.c |  2 ++
 2 files changed, 15 insertions(+), 36 deletions(-)

commit 1c6a97f1efb95a42d3e433a02031845fed63d27f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 11 16:52:53 2013 +0900

    keybinder: split x11 specific code
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../keybinder/gpaste-paste-and-pop-keybinding.c    | 52 +++++++++++++++++-----
 1 file changed, 42 insertions(+), 10 deletions(-)

commit ed8bf8dbf9a84f4227411977dea5d251876f2b19
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 11 16:43:30 2013 +0900

    add missing header guards
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-gdbus-defines.h  | 4 ++++
 libgpaste/core/gpaste-gsettings-keys.h | 6 ++++++
 libgpaste/core/gpaste-macros.h         | 6 ++++++
 3 files changed, 16 insertions(+)

commit 025ac3b6ed8183f1c00e917d761f327693ed4780
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 11 14:59:47 2013 +0900

    keybinder: refactor X11 specific code
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder.c  |  66 +++++++++++++++-
 libgpaste/keybinder/gpaste-keybinding.c | 134 +++++++++++++++-----------------
 2 files changed, 124 insertions(+), 76 deletions(-)

commit 51ce87502c07c2083965d427b22bbd0d0a1402b0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 9 16:33:55 2013 +0900

    gdbus and gsettings: renames to appease g-i
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c                   |  28 +--
 libgpaste/core/gpaste-gdbus-defines.h              | 149 ++++++++--------
 libgpaste/core/gpaste-gsettings-keys.h             |  36 ++--
 libgpaste/core/gpaste-history.c                    |   4 +-
 libgpaste/daemon/gpaste-daemon.c                   |  50 +++---
 .../keybinder/gpaste-paste-and-pop-keybinding.c    |   2 +-
 .../keybinder/gpaste-show-history-keybinding.c     |   2 +-
 .../gpaste-sync-clipboard-to-primary-keybinding.c  |   2 +-
 .../gpaste-sync-primary-to-clipboard-keybinding.c  |   2 +-
 libgpaste/settings/gpaste-settings.c               | 192 ++++++++++-----------
 libgpaste/settings/ui/gpaste-settings-ui-stack.c   |  36 ++--
 11 files changed, 252 insertions(+), 251 deletions(-)

commit 7fd3e9122c0fa0122c5f480d1ad11f3d0a60192d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 9 15:36:01 2013 +0900

    remove unused include
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-item.h     | 1 -
 libgpaste/daemon/gpaste-daemon.h | 2 +-
 2 files changed, 1 insertion(+), 2 deletions(-)

commit 6a7b2218f4e882e067e037c36fa9897c617cea2a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 9 14:51:08 2013 +0900

    rework libgpaste-common
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c                   | 10 +++++-----
 libgpaste/common.mk                                |  8 +++-----
 libgpaste/common/gpaste-clipboard-common.c         |  8 +-------
 libgpaste/common/gpaste-clipboard-common.h         |  7 +------
 libgpaste/core.mk                                  |  3 +++
 libgpaste/core/gpaste-clipboard.c                  |  7 +++++++
 libgpaste/core/gpaste-clipboard.h                  |  2 ++
 .../gpaste-gdbus-defines.h}                        | 23 +++++++++++++---------
 .../gpaste-gsettings-keys.h}                       | 10 +++++++---
 libgpaste/core/gpaste-history.c                    |  2 --
 libgpaste/{common => core}/gpaste-macros.h         | 10 +++++++---
 libgpaste/daemon/gpaste-daemon.c                   | 11 +++++------
 .../keybinder/gpaste-paste-and-pop-keybinding.c    |  1 -
 .../keybinder/gpaste-show-history-keybinding.c     |  2 --
 .../gpaste-sync-clipboard-to-primary-keybinding.c  |  2 --
 .../gpaste-sync-primary-to-clipboard-keybinding.c  |  2 --
 libgpaste/settings/gpaste-settings.c               |  2 --
 libgpaste/settings/gpaste-settings.h               |  1 +
 libgpaste/settings/ui/gpaste-settings-ui-stack.c   |  2 --
 19 files changed, 56 insertions(+), 57 deletions(-)

commit 8c516256ed9f27b46a6660f308f83bb6ac3b0674
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 9 14:17:08 2013 +0900

    introduce macros.h
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 Makefile.am                                        |  1 +
 TODO                                               |  1 -
 bindings/gi.mk                                     |  6 +++++-
 configure.ac                                       |  1 -
 libgpaste/client/gpaste-client-private.h           |  2 +-
 libgpaste/client/gpaste-client.c                   |  1 +
 libgpaste/client/gpaste-client.h                   |  8 ++------
 libgpaste/common/gpaste-clipboard-common.c         |  5 +++--
 .../gpaste-macros.h}                               | 24 ++++------------------
 libgpaste/core/gpaste-clipboard-private.h          |  2 +-
 libgpaste/core/gpaste-clipboard.c                  |  7 ++++---
 libgpaste/core/gpaste-clipboard.h                  | 12 +++--------
 libgpaste/core/gpaste-clipboards-manager-private.h |  2 +-
 libgpaste/core/gpaste-clipboards-manager.c         |  7 ++++---
 libgpaste/core/gpaste-clipboards-manager.h         | 12 +++--------
 libgpaste/core/gpaste-history-private.h            |  2 +-
 libgpaste/core/gpaste-history.c                    |  9 +++++---
 libgpaste/core/gpaste-history.h                    | 11 ++--------
 libgpaste/core/gpaste-image-item-private.h         |  3 ++-
 libgpaste/core/gpaste-image-item.c                 |  1 +
 libgpaste/core/gpaste-image-item.h                 |  9 ++------
 libgpaste/core/gpaste-item-private.h               |  2 +-
 libgpaste/core/gpaste-item.h                       |  6 +-----
 libgpaste/core/gpaste-text-item-private.h          |  5 +++--
 libgpaste/core/gpaste-text-item.h                  |  8 +-------
 libgpaste/core/gpaste-uris-item-private.h          |  3 ++-
 libgpaste/core/gpaste-uris-item.h                  |  8 +-------
 libgpaste/core/gpaste.h                            |  3 ++-
 libgpaste/daemon/gpaste-daemon-private.h           |  2 +-
 libgpaste/daemon/gpaste-daemon.c                   |  5 ++++-
 libgpaste/daemon/gpaste-daemon.h                   |  4 +---
 libgpaste/keybinder/gpaste-keybinder-private.h     |  2 +-
 libgpaste/keybinder/gpaste-keybinder.h             |  8 +-------
 libgpaste/keybinder/gpaste-keybinding-private.h    |  2 +-
 libgpaste/keybinder/gpaste-keybinding.h            |  6 ------
 .../gpaste-paste-and-pop-keybinding-private.h      |  3 ++-
 .../keybinder/gpaste-paste-and-pop-keybinding.c    |  1 +
 .../keybinder/gpaste-paste-and-pop-keybinding.h    | 12 +++--------
 .../gpaste-show-history-keybinding-private.h       |  5 +++--
 .../keybinder/gpaste-show-history-keybinding.c     |  1 +
 .../keybinder/gpaste-show-history-keybinding.h     |  9 +-------
 ...-sync-clipboard-to-primary-keybinding-private.h |  3 ++-
 .../gpaste-sync-clipboard-to-primary-keybinding.c  |  1 +
 .../gpaste-sync-clipboard-to-primary-keybinding.h  |  9 +-------
 ...-sync-primary-to-clipboard-keybinding-private.h |  3 ++-
 .../gpaste-sync-primary-to-clipboard-keybinding.c  |  3 ++-
 .../gpaste-sync-primary-to-clipboard-keybinding.h  |  9 +-------
 libgpaste/settings/gpaste-settings-private.h       |  2 +-
 libgpaste/settings/gpaste-settings.c               |  3 ++-
 libgpaste/settings/gpaste-settings.h               |  6 +-----
 .../settings/ui/gpaste-settings-ui-panel-private.h |  2 +-
 libgpaste/settings/ui/gpaste-settings-ui-panel.h   |  6 +-----
 .../settings/ui/gpaste-settings-ui-stack-private.h |  2 +-
 libgpaste/settings/ui/gpaste-settings-ui-stack.c   |  6 +++---
 libgpaste/settings/ui/gpaste-settings-ui-stack.h   |  4 +---
 .../ui/gpaste-settings-ui-widget-private.h         |  2 +-
 libgpaste/settings/ui/gpaste-settings-ui-widget.h  |  6 ------
 src/gpaste-settings/gpaste-settings.c              |  2 +-
 src/gpaste/gpaste.c                                |  4 ++--
 src/gpasted/gpasted.c                              | 11 +++++-----
 60 files changed, 108 insertions(+), 197 deletions(-)

commit 26b0cf3792896637622e9073c2a7d417d2ece906
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 8 00:22:09 2013 +0900

    GPasteSettingsUiStack: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../settings/ui/gpaste-settings-ui-stack-private.h |   3 -
 libgpaste/settings/ui/gpaste-settings-ui-stack.c   | 108 ++++++++++-----------
 2 files changed, 53 insertions(+), 58 deletions(-)

commit 504d2cdf120e7a0f59fbcbbe511a1ea743e39286
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Tue Oct 8 00:21:28 2013 +0900

    GPasteSettingsUiPanel: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../settings/ui/gpaste-settings-ui-panel-private.h |  3 --
 libgpaste/settings/ui/gpaste-settings-ui-panel.c   | 47 +++++++++++++---------
 2 files changed, 27 insertions(+), 23 deletions(-)

commit 06a5eac0d8fe8de14d5ed2adfa9349362ecff1d4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 22:17:09 2013 +0900

    GPasteSettingsUiWidget: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-widget-private.h |  3 ---
 libgpaste/settings/ui/gpaste-settings-ui-widget.c         | 11 ++++++++---
 2 files changed, 8 insertions(+), 6 deletions(-)

commit 7249b0671c0a3fa1b7719b18191b8ac25e7e5e0f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 22:11:14 2013 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit ce5555ee6463bf366abb3897da12ca47e28ec3b2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 21:36:26 2013 +0900

    small cleanup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste-settings/gpaste-settings.c |  11 ++--
 src/gpaste/gpaste.c                   | 114 +++++++++++++++++-----------------
 src/gpasted/gpasted.c                 |  38 ++++++------
 3 files changed, 82 insertions(+), 81 deletions(-)

commit 7783c44efd746698f3f5d8f6c26ee8a309900ff1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 21:31:16 2013 +0900

    GPasteSettings: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding.h      |   2 +-
 libgpaste/settings/gpaste-settings-private.h |   5 +-
 libgpaste/settings/gpaste-settings.c         | 209 ++++++++++++++-------------
 libgpaste/settings/gpaste-settings.h         |  36 ++---
 4 files changed, 126 insertions(+), 126 deletions(-)

commit 114574c6a5478be1a7e7bf96f211a09ba93784ce
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 21:04:41 2013 +0900

    GPasteItem: fix virtuals
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-image-item.c   | 2 +-
 libgpaste/core/gpaste-item-private.h | 2 +-
 libgpaste/core/gpaste-item.c         | 2 +-
 libgpaste/core/gpaste-text-item.c    | 2 +-
 libgpaste/core/gpaste-uris-item.c    | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 7a5af77ff67bc281e6064c515458ad7c46185138
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 20:36:21 2013 +0900

    rename params for g-i
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding.h                      |  4 ++--
 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c        | 12 ++++++------
 libgpaste/keybinder/gpaste-show-history-keybinding.c         |  4 ++--
 .../keybinder/gpaste-sync-clipboard-to-primary-keybinding.c  |  4 ++--
 .../keybinder/gpaste-sync-primary-to-clipboard-keybinding.c  |  4 ++--
 5 files changed, 14 insertions(+), 14 deletions(-)

commit 6059771dd93c4e03b35ed0418ac1ae344a0fea8b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 20:23:14 2013 +0900

    use GStrv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client.c           | 4 ++--
 libgpaste/common/gpaste-clipboard-common.c | 4 ++--
 libgpaste/core/gpaste-uris-item.c          | 4 ++--
 libgpaste/daemon/gpaste-daemon.c           | 4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

commit c073cd7590f7af3c40e0e990b7258645c5a61246
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 20:10:24 2013 +0900

    GPasteItem: add guard
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-item.c | 1 +
 1 file changed, 1 insertion(+)

commit adc031356ab7f7c0cb9efc1bae7bc991ef374823
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 20:03:07 2013 +0900

    Keybindings: adapt to callback change
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-show-history-keybinding.c           | 10 +++++-----
 .../keybinder/gpaste-sync-clipboard-to-primary-keybinding.c    | 10 +++++-----
 .../keybinder/gpaste-sync-primary-to-clipboard-keybinding.c    | 10 +++++-----
 3 files changed, 15 insertions(+), 15 deletions(-)

commit 6af92ece5a51180c5fce5644da83b47d8a51420c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 19:59:02 2013 +0900

    GPastePasteAndPopKeybinding: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../gpaste-paste-and-pop-keybinding-private.h      |   5 +-
 .../keybinder/gpaste-paste-and-pop-keybinding.c    | 114 +++++++++++----------
 .../keybinder/gpaste-paste-and-pop-keybinding.h    |   6 +-
 3 files changed, 65 insertions(+), 60 deletions(-)

commit 3e2248cab36af9e3f621dc343ae46420b7374c93
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 18:30:24 2013 +0900

    GPasteKeybinding: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding-private.h |  5 +--
 libgpaste/keybinder/gpaste-keybinding.c         | 54 ++++++++++++-------------
 libgpaste/keybinder/gpaste-keybinding.h         |  3 +-
 3 files changed, 29 insertions(+), 33 deletions(-)

commit 21300e5f9c7fedd0b8c75a92b31ce03716ee0e3d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 18:07:33 2013 +0900

    GPasteKeybinder: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinder-private.h |  5 +---
 libgpaste/keybinder/gpaste-keybinder.c         | 37 ++++++++++++++++----------
 2 files changed, 24 insertions(+), 18 deletions(-)

commit 8d8623bc1a38483531a7893195d2d7f0170ceaf3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 17:59:43 2013 +0900

    Keybindings: small tweaks
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-show-history-keybinding.c   | 16 ++++++++--------
 libgpaste/keybinder/gpaste-show-history-keybinding.h   |  6 +++---
 .../gpaste-sync-clipboard-to-primary-keybinding.c      | 18 ++++++++++--------
 .../gpaste-sync-clipboard-to-primary-keybinding.h      |  4 ++--
 .../gpaste-sync-primary-to-clipboard-keybinding.c      | 18 ++++++++++--------
 .../gpaste-sync-primary-to-clipboard-keybinding.h      |  4 ++--
 6 files changed, 35 insertions(+), 31 deletions(-)

commit 3cb7d0a1353f6f573742f942472eece2d3fb25a5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 17:53:29 2013 +0900

    GPasteItem: add guard
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-item.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4add4c075163312862fd36f4f7d877d8b7a8af67
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 15:54:49 2013 +0900

    GPasteDaemon: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/daemon/gpaste-daemon-private.h |   5 +-
 libgpaste/daemon/gpaste-daemon.c         | 282 ++++++++++++++++---------------
 2 files changed, 145 insertions(+), 142 deletions(-)

commit b25ee8b4abdb0865563b126dbe3090a4fe9e6efd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 14:57:43 2013 +0900

    GPasteClient: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client/gpaste-client-private.h |  5 +-
 libgpaste/client/gpaste-client.c         | 91 +++++++++++++++-----------------
 2 files changed, 44 insertions(+), 52 deletions(-)

commit 4404b2100d6db247d59a0ea42eaedae3d94b6170
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 14:22:48 2013 +0900

    remove useless guards
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/common/gpaste-clipboard-common.c | 4 +++-
 libgpaste/core/gpaste-image-item.c         | 4 +---
 libgpaste/core/gpaste-item-private.h       | 2 +-
 libgpaste/core/gpaste-item.c               | 2 +-
 libgpaste/core/gpaste-text-item.c          | 4 +---
 libgpaste/core/gpaste-uris-item.c          | 4 +---
 6 files changed, 8 insertions(+), 12 deletions(-)

commit 1b6e75e38e7430239295f68760c7ac84390ce294
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 14:18:10 2013 +0900

    GPasteUrisItem: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-uris-item-private.h |  5 +----
 libgpaste/core/gpaste-uris-item.c         | 26 +++++++++++++-------------
 2 files changed, 14 insertions(+), 17 deletions(-)

commit e95ef3e655b2e20eef192e9a42f077723984b04f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 14:11:03 2013 +0900

    GpasteTextItem: tweak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-text-item.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit bc141d3987dd191a20ac42d0f89c275ee0a27cdc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 14:08:45 2013 +0900

    GPasteItem: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-item-private.h |  1 -
 libgpaste/core/gpaste-item.c         | 27 +++++++++++++++++----------
 2 files changed, 17 insertions(+), 11 deletions(-)

commit 84948d62ce3d2dc286268181ad6addb5cbb15882
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 13:55:51 2013 +0900

    GPasteImageItem: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-image-item-private.h |  5 +--
 libgpaste/core/gpaste-image-item.c         | 63 ++++++++++++++----------------
 2 files changed, 31 insertions(+), 37 deletions(-)

commit 6d6c17501ebfa36c9e59cc113d4fb7bf52ce89db
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 13:07:47 2013 +0900

    GPasteHistory: refactor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 121 ++++++++++++++++++++--------------------
 1 file changed, 62 insertions(+), 59 deletions(-)

commit a6f02c92a32c7a882c2c0c6165e889013db2d5f0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 12:53:27 2013 +0900

    GPasteHistory: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history-private.h |   5 +-
 libgpaste/core/gpaste-history.c         | 158 +++++++++++++++++---------------
 libgpaste/core/gpaste-history.h         |   2 +-
 3 files changed, 87 insertions(+), 78 deletions(-)

commit 4fbc3b4ff428144a9c08b09b937d52c92a81e073
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 12:06:34 2013 +0900

    GPasteClipboardsManager: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager-private.h |  5 +-
 libgpaste/core/gpaste-clipboards-manager.c         | 61 ++++++++++++----------
 2 files changed, 33 insertions(+), 33 deletions(-)

commit 641beaf6f44d164e3c37799de8312fd202b5d32d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 11:48:40 2013 +0900

    GPasteClipboard: drop self->priv
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboard-private.h |   5 +-
 libgpaste/core/gpaste-clipboard.c         | 103 +++++++++++++++---------------
 2 files changed, 54 insertions(+), 54 deletions(-)

commit 82545465aaf511fd1054909af5ace03cf15b4ee2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 11:48:04 2013 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 300aa22b887986ce52223db9e38bb82e8e542530
Merge: 3d10dd9 56817a9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 09:52:33 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      drop FIFO mode

commit 56817a9857cadd05850f22145e39355122d16245
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Oct 7 09:52:22 2013 +0900

    drop FIFO mode
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS                                               |   1 +
 data/gsettings/org.gnome.GPaste.gschema.xml        |   8 --
 libgpaste/common/gpaste-settings-keys.h            |   1 -
 libgpaste/core/gpaste-history.c                    | 136 ++++++---------------
 libgpaste/settings/gpaste-settings.c               |  23 ----
 libgpaste/settings/gpaste-settings.h               |   3 -
 libgpaste/settings/libgpaste-settings.sym          |   2 -
 .../settings/ui/gpaste-settings-ui-notebook.c      |   9 --
 8 files changed, 39 insertions(+), 144 deletions(-)

commit 3d10dd947212783f3c31cc5d7f1a2c4207fa0ed0
Merge: bdefd4c 059301d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 20:08:13 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      GPasteHistory: fix bad memory access
      GPasteHistory: fix memory leak

commit 059301d35bc0f3852a638dd41e69c5cf51e6f57f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 20:08:04 2013 +0900

    GPasteHistory: fix bad memory access
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 122f5e6479a09aa5edc7a836cab235f3372a7455
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 20:02:12 2013 +0900

    GPasteHistory: fix memory leak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit bdefd4c02cbd9dba4ddaf390ee4eac002e0e61d7
Merge: 14182fb 3065643
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 19:42:00 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      GPasteHistory: emit selected when activating
      GPasteHistory: split selected signal emission

commit 30656434a0d3157e490b93d5190e1118e2cb7925
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 19:41:52 2013 +0900

    GPasteHistory: emit selected when activating
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 2 ++
 1 file changed, 2 insertions(+)

commit 393b08d7138eade99e05a7e4a874a764e7e40ea9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 19:40:19 2013 +0900

    GPasteHistory: split selected signal emission
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit 14182fb1427ce5098361f6cbab428311a809a7f4
Merge: 4f8993b cc70f75
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 19:11:42 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      move some stuff around

commit cc70f75b1fe7005cbd67d1f4e851a8779cb97214
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 19:07:11 2013 +0900

    move some stuff around
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 1 -
 libgpaste/core/gpaste-history.c            | 5 ++++-
 libgpaste/daemon/gpaste-daemon.c           | 1 +
 3 files changed, 5 insertions(+), 2 deletions(-)

commit 4f8993b63159a66c182b409c557da3dc18fa9e29
Merge: b2dac4d 78a9741
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 18:44:47 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      GPasteItem: cache size
      GPasteHistory: don't use select internally
      GPasteHistory: dynamically react to settings changes
      GPasteHistory: split out helper func
      small fixup
      build: specify required gdk-pixbuf version
      history: fixes for fifo
      trivial: make lock a bool
      remove TODO
    
    Conflicts:
    	TODO
    	libgpaste/settings/ui/gpaste-settings-ui-stack.c

commit 78a97418b01e74a1b3b5b599e391b30a4b85fcfd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 18:41:00 2013 +0900

    GPasteItem: cache size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-image-item.c   | 39 ++++++++++++++++++++++++------------
 libgpaste/core/gpaste-item-private.h |  2 +-
 libgpaste/core/gpaste-item.c         | 32 ++++++++++++++---------------
 libgpaste/core/gpaste-uris-item.c    | 21 ++++++++-----------
 4 files changed, 51 insertions(+), 43 deletions(-)

commit 5ca968755e2e4e818949eddbad0af700f16ed003
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 18:01:15 2013 +0900

    GPasteHistory: don't use select internally
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 63f1e95f0fb30b99a9591c8c9bdfac6ff5ca32c3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 17:54:03 2013 +0900

    GPasteHistory: dynamically react to settings changes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 34 ++++++++++++++++++++++++++++------
 1 file changed, 28 insertions(+), 6 deletions(-)

commit 4c93636570803cbbb5245ad93aeaa7ce2d07f579
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 17:46:33 2013 +0900

    GPasteHistory: split out helper func
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 87 +++++++++++++++++++++++------------------
 1 file changed, 49 insertions(+), 38 deletions(-)

commit 482186f3b849023f882b1dc0de779f9349459d09
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 17:43:22 2013 +0900

    small fixup
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-notebook.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit fcbe4276535197c5e3c8fa60aba766291191756d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 16:59:18 2013 +0900

    build: specify required gdk-pixbuf version
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3eee0f3bede1c389c4cd9a003a7cd0776790bbb7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 16:58:26 2013 +0900

    history: fixes for fifo
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 111 +++++++++++++++++++++++++++-------------
 1 file changed, 76 insertions(+), 35 deletions(-)

commit 985c51b9e70171ae0cf6515b5f66735beb2f8b9a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Oct 6 13:30:38 2013 +0900

    trivial: make lock a bool
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b2dac4dc25516d94c2908ebc53e3c24191541507
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 17:27:04 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 19 +++----------------
 1 file changed, 3 insertions(+), 16 deletions(-)

commit b4ee83be547dd1fea840a4640fd70ed09ee1cb37
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 17:25:58 2013 +0900

    remove TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 2 --
 1 file changed, 2 deletions(-)

commit 85f2876507a36fd841269e8a42808de50ab4c0d2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 16:49:18 2013 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 8856623a96192019125974fba35bafdbfa584892
Merge: 88ddf84 35a2d64
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 16:48:38 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      update NEWS
      GpasteHistory: fix max memory logic

commit 35a2d64bfe7ce946e2aa27195206232000332346
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 16:48:27 2013 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit a31ee9a54ba51576c91d5a818b633b782af46c71
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 16:47:45 2013 +0900

    GpasteHistory: fix max memory logic
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 88ddf84678c1f7698d085b9dd8b0c7acccec79d9
Merge: a3f088b 03cb6ea
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 15:38:36 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      GPasteHistory: track only the biggest index

commit 03cb6ea4f782e2d001f386de42aa3b51aae21017
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 15:38:29 2013 +0900

    GPasteHistory: track only the biggest index
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 80 +++++++++++++++++------------------------
 1 file changed, 32 insertions(+), 48 deletions(-)

commit a3f088b2c5ef4c18194b25d2694ac86baa710568
Merge: 1f99fd1 6b65000
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 14:02:50 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      avoid infinite loop

commit 6b650005ffb3301122c41b57f4a4faa55fbf50e0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 14:02:40 2013 +0900

    avoid infinite loop
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 2 ++
 1 file changed, 2 insertions(+)

commit 1f99fd14225b24faf2734f1c858843fe97d6361a
Merge: 099b3f3 aeac52a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:55:16 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      fix invalid char

commit aeac52a3349a8d9d7a8ebfa12fa8254a6b013af3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:55:07 2013 +0900

    fix invalid char
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-item.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 099b3f3787c82b7ddcab421673d7fc3d21a5ae95
Merge: a5a9116 81f3a70
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:50:29 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      libgpaste-core: misc bugfixes

commit 81f3a706b9310be318c6887b313c44d215674ccc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:50:16 2013 +0900

    libgpaste-core: misc bugfixes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 10 +++-------
 libgpaste/core/gpaste-item.c    |  2 +-
 2 files changed, 4 insertions(+), 8 deletions(-)

commit a5a91160b9133350dd7daf2cd64b3f98310cdf8e
Merge: d86f571 767350b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:42:02 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      add debug logs
      fix

commit 767350be8631cf76bfb9f461eb538262bd51aec6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:41:48 2013 +0900

    add debug logs
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 6b7de9b81e283fa938440ceed32a7f06a597f237
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:39:00 2013 +0900

    fix
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d86f57166e5b7977202b80fb7abb3603a216813d
Merge: c31f508 3170915
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:30:21 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      GPasteHistory: fix biggest election on removal
      GPasteHistory: reinit size on emptying
      GPasteHistory: init size when loading

commit 317091510ff5ff50dbffa9553f32682031078ac8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:30:14 2013 +0900

    GPasteHistory: fix biggest election on removal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

commit d9ae381784949336f7af6baa9f557ef793e7d62e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:24:40 2013 +0900

    GPasteHistory: reinit size on emptying
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 3 +++
 1 file changed, 3 insertions(+)

commit fc0183c4513ec2ac0c55a1ef8cee8c207e66e5b4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:12:27 2013 +0900

    GPasteHistory: init size when loading
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c    | 17 ++++++++++-------
 libgpaste/core/gpaste-image-item.c | 18 +++++++++---------
 libgpaste/core/gpaste-image-item.h |  4 ++--
 libgpaste/core/gpaste-text-item.c  |  4 ++--
 libgpaste/core/gpaste-text-item.h  |  2 +-
 libgpaste/core/gpaste-uris-item.c  |  4 ++--
 libgpaste/core/gpaste-uris-item.h  |  2 +-
 libgpaste/daemon/gpaste-daemon.c   |  4 ++--
 8 files changed, 29 insertions(+), 26 deletions(-)

commit c31f508fd07e9f43b7d018f8de1c7f3fb70eecd9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 13:12:27 2013 +0900

    GPasteHistory: init size when loading
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c    | 17 ++++++++++-------
 libgpaste/core/gpaste-image-item.c | 18 +++++++++---------
 libgpaste/core/gpaste-image-item.h |  4 ++--
 libgpaste/core/gpaste-text-item.c  |  4 ++--
 libgpaste/core/gpaste-text-item.h  |  2 +-
 libgpaste/core/gpaste-uris-item.c  |  4 ++--
 libgpaste/core/gpaste-uris-item.h  |  2 +-
 libgpaste/daemon/gpaste-daemon.c   |  4 ++--
 8 files changed, 29 insertions(+), 26 deletions(-)

commit aad62adbf23c6b13a7f6928e3399a2bb35b25f82
Merge: a225668 9b61775
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 12:59:17 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      GPasteHisotry: fix assertion

commit 9b61775788bfb6925a274636bef09a904b8f207d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 12:58:52 2013 +0900

    GPasteHisotry: fix assertion
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a22566814d7bc7e70f13b7392d25738c2eebaf5f
Merge: 6c7de12 beb72db
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 12:55:51 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      GPasteHistory: use the max_memory setting

commit beb72db7298b0c02c180e7ca7aa06d45addab7e8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 12:55:34 2013 +0900

    GPasteHistory: use the max_memory setting
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 50 ++++++++++++++++++++++++++++++++---------
 1 file changed, 39 insertions(+), 11 deletions(-)

commit 6c7de12726961bb494e3dd17cb746965ba7d62e2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Oct 4 12:32:59 2013 +0900

    GPasteItem: use G_DEFINE_ABSTRACT_TYPE_WITH_PRIVATE
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-item.c | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit f33a8b9c0ad76879aa77b33d77b6f216696284e1
Merge: c97025f d095269
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 16:34:11 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      settings: bump sonames
      add new setting for max memory usage
      GPasteHistory: always reelect when biggest goes off
      GPasteImageItem: size is different when inactive
      GPasteHistory: elect biggest when loading
      GPasteHistory: don't track active item as biggest
      GpasteHistory: track biggest item + size
      GPasteImageItem: override get_size
      GPasteUrisItem: override get_size
      GPasteItem: add method to get size

commit d095269b97b0907bbdff8d97c00da1cce85b8bc3
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 16:33:15 2013 +0900

    settings: bump sonames
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings.mk    | 2 +-
 libgpaste/settings/ui.mk | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0e89187420cdd2cfbf7485f65a745c6b13eba799
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 16:32:40 2013 +0900

    add new setting for max memory usage
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/gsettings/org.gnome.GPaste.gschema.xml        |  9 +++++++++
 libgpaste/common/gpaste-settings-keys.h            |  1 +
 libgpaste/settings/gpaste-settings.c               | 23 ++++++++++++++++++++++
 libgpaste/settings/gpaste-settings.h               |  3 +++
 libgpaste/settings/libgpaste-settings.sym          |  2 ++
 .../settings/ui/gpaste-settings-ui-notebook.c      |  9 +++++++++
 6 files changed, 47 insertions(+)

commit 4dfb84ac136e1b6ae6fb12580f7b58bbe8086e6f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 12:59:42 2013 +0900

    GPasteHistory: always reelect when biggest goes off
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)

commit d1b68232ff4d4322ace2eac72997a0f3d8acd300
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 12:44:00 2013 +0900

    GPasteImageItem: size is different when inactive
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-image-item.c | 40 ++++++++++++++++++++++++++------------
 1 file changed, 28 insertions(+), 12 deletions(-)

commit b4d1472c57d9028cea4a7f73a0e12f74dad92027
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 12:41:16 2013 +0900

    GPasteHistory: elect biggest when loading
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 3 +++
 1 file changed, 3 insertions(+)

commit a6ae0aa057deecdbd092a4d1e794c05bbbf545db
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 12:24:28 2013 +0900

    GPasteHistory: don't track active item as biggest
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 52 +++++++++++++++++++++++++----------------
 1 file changed, 32 insertions(+), 20 deletions(-)

commit 0007556393d543553dbd3c8da92da290e1e3dd7d
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 12:11:33 2013 +0900

    GpasteHistory: track biggest item + size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 57 ++++++++++++++++++++++++++++++++++++++---
 1 file changed, 53 insertions(+), 4 deletions(-)

commit e8e91cf87de323a9d7c0c59b7c811ab12b9bb364
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 11:33:35 2013 +0900

    GPasteImageItem: override get_size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-image-item.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 3995dd5f787ebb2ae2a7ebbdf1fdf36701b90797
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 11:27:47 2013 +0900

    GPasteUrisItem: override get_size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-uris-item.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 9189914f9ec2c7bdff92fa41ace711535a2579b5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 11:11:40 2013 +0900

    GPasteItem: add method to get size
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-item-private.h | 12 +++++------
 libgpaste/core/gpaste-item.c         | 39 ++++++++++++++++++++++++++++++++++--
 libgpaste/core/gpaste-item.h         |  3 ++-
 libgpaste/core/libgpaste-core.sym    |  1 +
 4 files changed, 46 insertions(+), 9 deletions(-)

commit c97025f88999ea1f922c3653bcb10743fb4d8d83
Merge: 4799500 90577cd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 10:51:59 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      build: don't link core with x11

commit 90577cdc85879540677a7916d9654aef3fa201ff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Oct 3 10:51:49 2013 +0900

    build: don't link core with x11
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core.mk | 1 -
 1 file changed, 1 deletion(-)

commit 47995003f05f78708b24b2b55fd8180f502f554b
Merge: 7946a25 2ed05aa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:53:26 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      remove traces of xfixes

commit 2ed05aa5eacb38ddb44a3a56c3aa348db5412168
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:53:18 2013 +0900

    remove traces of xfixes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac                               |  2 +-
 libgpaste/core/gpaste-clipboard.c          |  3 +++
 libgpaste/core/gpaste-clipboards-manager.c | 16 ----------------
 3 files changed, 4 insertions(+), 17 deletions(-)

commit 7946a25381d866658da075758ba6a79e4b6664f7
Merge: 16292fb 3fc0049
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:38:48 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      update NEWS
      clipboards-manager: fix warnings
      clipboards-manager: port to owner-change signal
      settings: use g_clear_object
      clipboard: fwd owner-change event from GtkClipboard
      history: fix missing signal
    
    Conflicts:
    	NEWS
    	libgpaste/core/gpaste-clipboard.c
    	libgpaste/core/gpaste-clipboards-manager.c

commit 3fc00495d3620f456c1c486f3bd7e95e06a0762b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:36:23 2013 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit c5cc6fc56681b72245c4645a75cb453ca6bb68e7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:33:30 2013 +0900

    clipboards-manager: fix warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 849f4edd46b1088c20c417242cd86389a1ac89c4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:21:23 2013 +0900

    clipboards-manager: port to owner-change signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	libgpaste/core/gpaste-clipboards-manager.c

 libgpaste/core/gpaste-clipboards-manager.c | 97 ++++++------------------------
 1 file changed, 19 insertions(+), 78 deletions(-)

commit aa17cac7070b8557435263903c64ca8232f8e805
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:11:11 2013 +0900

    settings: use g_clear_object
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/gpaste-settings.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit ad9f8cbde7342df15f125636bd55b9983b98c364
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:01:07 2013 +0900

    clipboard: fwd owner-change event from GtkClipboard
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	libgpaste/core/gpaste-clipboard.c

 libgpaste/core/gpaste-clipboard.c | 59 +++++++++++++++++++++++++++++++++------
 1 file changed, 50 insertions(+), 9 deletions(-)

commit 16292fb7c50e8dc12a7ade51dbace14fc23a196f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:21:23 2013 +0900

    clipboards-manager: port to owner-change signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 174 +++--------------------------
 1 file changed, 18 insertions(+), 156 deletions(-)

commit bae4655728fca6c9ea7ce5c0b1518ee083d9dcc1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:11:11 2013 +0900

    settings: use g_clear_object
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/gpaste-settings.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 06cbb94f75552c3d3fe84f9eb2a9b9de1cadfab0
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Oct 2 23:01:07 2013 +0900

    clipboard: fwd owner-change event from GtkClipboard
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboard.c | 59 +++++++++++++++++++++++++++++++++------
 1 file changed, 50 insertions(+), 9 deletions(-)

commit e39c38c6d674684ba4a8d0e86f17a27c852c98ff
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 16:08:09 2013 +0900

    clipboards-manager: split more x11 stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 44 +++++++++++++++++++++++++-----
 1 file changed, 37 insertions(+), 7 deletions(-)

commit bb9db53b01bcd21ec9291dc88093f56df119ac35
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:23:52 2013 +0900

    history: fix missing signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit ca0605d7619c7a106bec17872eca539b42d0b3c5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:23:52 2013 +0900

    history: fix missing signal
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-history.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit c0488b54887bccdc3e535fb893a910b540be09bf
Merge: 1f49e3b c394808
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:12:33 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      version bump
      silence warning
      gpasted: adapt to paste and pop changes
      keybinder: fix paste and pop
      core: add API to lock the clipboards manager
      core: small performance improvements
    
    Conflicts:
    	configure.ac
    	libgpaste/core/gpaste-clipboards-manager.c

commit c3948080e116d500f5de60565557bd1158d32204
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:11:16 2013 +0900

    version bump
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66fa35d8943d7c5242ea9a1e766dccf8ba8754d5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:05:33 2013 +0900

    silence warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboard.c                     |  3 ++-
 libgpaste/core/gpaste-history.c                       | 17 +++++++++++++++++
 libgpaste/core/gpaste-history.h                       |  4 +++-
 libgpaste/core/libgpaste-core.sym                     |  1 +
 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c |  2 +-
 5 files changed, 24 insertions(+), 3 deletions(-)

commit 1f5241af7c0e2afe2df67de7fed028a63bad6de2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:01:15 2013 +0900

    gpasted: adapt to paste and pop changes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpasted/gpasted.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit f6c9d1ba9dd851a1c96c2df98b222fbe3100149c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:01:00 2013 +0900

    keybinder: fix paste and pop
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../keybinder/gpaste-paste-and-pop-keybinding.c    | 41 ++++++++++++++++------
 .../keybinder/gpaste-paste-and-pop-keybinding.h    |  8 +++--
 2 files changed, 35 insertions(+), 14 deletions(-)

commit fc73db36d511ca4c58836180baacd06a18407710
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 14:55:50 2013 +0900

    core: add API to lock the clipboards manager
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	libgpaste/core/gpaste-clipboards-manager.c

 libgpaste/core.mk                          |  4 +--
 libgpaste/core/gpaste-clipboards-manager.c | 39 ++++++++++++++++++++++++++++++
 libgpaste/core/gpaste-clipboards-manager.h |  2 ++
 libgpaste/core/libgpaste-core.sym          |  2 ++
 4 files changed, 45 insertions(+), 2 deletions(-)

commit f38dff3bf409e13378ac22cdc67df6d97294a6a5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 14:54:42 2013 +0900

    core: small performance improvements
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboard.c          | 16 +++++----
 libgpaste/core/gpaste-clipboards-manager.c | 32 ++++++++---------
 libgpaste/core/gpaste-history.c            | 58 +++++++++++++++---------------
 3 files changed, 55 insertions(+), 51 deletions(-)

commit 1f49e3bbb9776ef36a38d4c3d853a4f1e0e134bb
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:05:33 2013 +0900

    silence warning
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboard.c                     |  3 ++-
 libgpaste/core/gpaste-history.c                       | 17 +++++++++++++++++
 libgpaste/core/gpaste-history.h                       |  4 +++-
 libgpaste/core/libgpaste-core.sym                     |  1 +
 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c |  2 +-
 5 files changed, 24 insertions(+), 3 deletions(-)

commit f302175dd0aab83e748a28c77385fb9b1fd34286
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:01:15 2013 +0900

    gpasted: adapt to paste and pop changes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpasted/gpasted.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit a91ac28f3052fcdd02f246c92de0acde2224dd4e
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 15:01:00 2013 +0900

    keybinder: fix paste and pop
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 .../keybinder/gpaste-paste-and-pop-keybinding.c    | 41 ++++++++++++++++------
 .../keybinder/gpaste-paste-and-pop-keybinding.h    |  8 +++--
 2 files changed, 35 insertions(+), 14 deletions(-)

commit 48794e390f339384eba87d55acedd900eee625aa
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 14:55:50 2013 +0900

    core: add API to lock the clipboards manager
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core.mk                          |  4 +--
 libgpaste/core/gpaste-clipboards-manager.c | 39 ++++++++++++++++++++++++++++++
 libgpaste/core/gpaste-clipboards-manager.h |  2 ++
 libgpaste/core/libgpaste-core.sym          |  2 ++
 4 files changed, 45 insertions(+), 2 deletions(-)

commit d8b6d2932dbaabb0f56463bf98a64d85a6d65cef
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 14:54:42 2013 +0900

    core: small performance improvements
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboard.c          | 16 +++++----
 libgpaste/core/gpaste-clipboards-manager.c | 32 ++++++++---------
 libgpaste/core/gpaste-history.c            | 58 +++++++++++++++---------------
 3 files changed, 55 insertions(+), 51 deletions(-)

commit 4ee1674cb7d4ea425e49419c9d6866c65ad147af
Merge: aac91ed dd7852f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 11:39:52 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      fix previous commit
      paste-and-pop: add guards
    
    Conflicts:
    	libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c

commit dd7852f0a54e6d9f9d7486effc668ceb9c1ed683
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 11:37:57 2013 +0900

    fix previous commit
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bef8ed4a5d31caabddbf75d989c6755765674a63
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 11:35:36 2013 +0900

    paste-and-pop: add guards
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c

 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit aac91edf462790fa3c9d6f78853fdd9ea4bfbbb2
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 11:35:36 2013 +0900

    paste-and-pop: add guards
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-paste-and-pop-keybinding.c | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

commit c67117952de7651b489b847d63cc1a80525793e8
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 11:18:57 2013 +0900

    keybinder: avoid some x11 specific code
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding.c | 108 +++++++++++++-------------------
 1 file changed, 43 insertions(+), 65 deletions(-)

commit 8e2c40a2db3d832c3daa9cf88f9b34eed7a3daab
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 30 10:40:28 2013 +0900

    settings: add About dialog
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste-settings/gpaste-settings.c | 55 +++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit 67018a855fde286b3ad95ab15351846207ee2222
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 29 21:04:58 2013 +0900

    keybinder: refactor
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding.c | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit be92e8c6363da1880ba99a6bf282b4dccca40a64
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 29 20:45:07 2013 +0900

    clipboards-manager: isolate x11-specific stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste-clipboards-manager.c | 92 ++++++++++++++++++++++++------
 1 file changed, 73 insertions(+), 19 deletions(-)

commit 995eadb8a58ec3c3d4a0526397ecbc8ee6a2a7d4
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 29 20:13:31 2013 +0900

    keybinder: isolate x11-specific stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/keybinder/gpaste-keybinding-private.h    |   2 +-
 libgpaste/keybinder/gpaste-keybinding.c            | 181 +++++++++++++++++----
 libgpaste/keybinder/gpaste-keybinding.h            |  10 +-
 .../keybinder/gpaste-paste-and-pop-keybinding.c    |   2 +-
 4 files changed, 159 insertions(+), 36 deletions(-)

commit bdc8d42705e0534462f6e203e8ff994217e3ae54
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 29 18:45:02 2013 +0900

    legacy-applet: tweak
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 35b45ae2d9ccd806399a14419fbe95afdd70abc2
Merge: 36a9cf6 0d64750
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 29 15:25:36 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      update TODO
      clipboards-manager: use Xfixes
      fix README
      gpaste-client: track connection errors
    
    Conflicts:
    	README.md
    	TODO
    	libgpaste/core/gpaste-clipboards-manager.c
    	libgpaste/settings/ui/gpaste-settings-ui-stack.c
    	src/gpaste/gpaste.c

commit 0d647504c316c785dee022ff43bc45407128384c
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 29 15:22:33 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 1 -
 1 file changed, 1 deletion(-)

commit d68de4154e7bfd449d0cd4302bb8a52ae5b78d56
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 29 12:57:16 2013 +0900

    clipboards-manager: use Xfixes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	libgpaste/core/gpaste-clipboards-manager.c

 configure.ac                               |   2 +-
 libgpaste/core.mk                          |   1 +
 libgpaste/core/gpaste-clipboards-manager.c | 109 ++++++++++++++++++++++++++---
 3 files changed, 100 insertions(+), 12 deletions(-)

commit d3dfa6ecd5bb673e3f7bc0da6c7aeec4979e9ded
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sun Sep 29 12:21:03 2013 +0900

    fix README
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 README.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03ac66b6c8709c3120c0c52bccd39cb872005b2f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 25 11:53:41 2013 +0900

    gpaste-client: track connection errors
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
    
    Conflicts:
    	src/gpaste/gpaste.c

 libgpaste/client.mk                                |  2 +-
 libgpaste/client/gpaste-client.c                   | 12 +++++--
 libgpaste/client/gpaste-client.h                   |  2 +-
 .../settings/ui/gpaste-settings-ui-notebook.c      | 38 +++++++++++++---------
 src/applets/legacy/gpaste-applet.vala              |  9 +++--
 src/gpaste/gpaste.c                                | 16 ++++-----
 6 files changed, 47 insertions(+), 32 deletions(-)

commit 36a9cf62d101455a8c2025e9879c0d12af12aad7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 27 20:36:10 2013 +0900

    libgpaste-settings-ui: use a grid
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-widget.c | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

commit bf41d4d22ce03e01d5ff50fe98d223adb3ba0e4b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Fri Sep 27 19:50:28 2013 +0900

    settings: improve UI
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-panel.c  | 11 ++++++++---
 libgpaste/settings/ui/gpaste-settings-ui-stack.c  |  1 +
 libgpaste/settings/ui/gpaste-settings-ui-widget.c |  1 -
 src/gpaste-settings/gpaste-settings.c             |  9 +++++++--
 4 files changed, 16 insertions(+), 6 deletions(-)

commit 58673ae5682c1e604b5e74f68aa990a3c99fff47
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 26 18:47:21 2013 +0900

    legacy-applet: silence deprecation warnings
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/legacy/gpaste-applet.vala | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 88a669a220490ec5bc620627ba0e595b35cdacb7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 26 13:40:30 2013 +0900

    libgpaste-settings-ui: avoid double free
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/settings/ui/gpaste-settings-ui-stack.c  | 10 ++++------
 libgpaste/settings/ui/gpaste-settings-ui-widget.c | 24 +++++------------------
 src/gpaste-settings/gpaste-settings.c             |  1 +
 3 files changed, 10 insertions(+), 25 deletions(-)

commit c52434fddddb329119639abd480e27634924d716
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 26 12:34:33 2013 +0900

    gnome-shell: port pref.js to new settings-ui
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/applets/gnome-shell/prefs.js | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 100c1b0caf9f846f21c5701898e863312c2747e1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 26 11:45:54 2013 +0900

    gpaste-settings: adapt to libgpaste-settings-ui changes
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 src/gpaste-settings/gpaste-settings.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit da9c71becfdfe59b728f2e26e29c2dc99b128707
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 26 11:45:27 2013 +0900

    libgpaste-settings-ui: modernize
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core/gpaste.h                            |   2 +-
 libgpaste/settings/ui.mk                           |  11 +-
 .../settings/ui/gpaste-settings-ui-notebook.h      |  51 ---------
 libgpaste/settings/ui/gpaste-settings-ui-panel.c   |   2 +-
 ...rivate.h => gpaste-settings-ui-stack-private.h} |  20 ++--
 ...gs-ui-notebook.c => gpaste-settings-ui-stack.c} | 117 +++++++++++----------
 libgpaste/settings/ui/gpaste-settings-ui-stack.h   |  52 +++++++++
 ...ivate.h => gpaste-settings-ui-widget-private.h} |  20 ++--
 libgpaste/settings/ui/gpaste-settings-ui-widget.c  |  94 +++++++++++++++++
 libgpaste/settings/ui/gpaste-settings-ui-widget.h  |  56 ++++++++++
 libgpaste/settings/ui/libgpaste-settings-ui.sym    |  12 ++-
 11 files changed, 299 insertions(+), 138 deletions(-)

commit 6aa5c6426cc29bd33a8bbec1865158e644be6fd7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 26 10:23:57 2013 +0900

    gpaste-settings: modernize code
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 configure.ac                          |  4 +--
 src/gpaste-settings/gpaste-settings.c | 65 ++++++++++-------------------------
 2 files changed, 20 insertions(+), 49 deletions(-)

commit e024097de7a1d9359d7e1e8c266cef1edd1e1bc5
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 25 16:37:37 2013 +0900

    Release GPaste 3.5
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS                                     |  2 +-
 README.md                                | 10 +++++++++-
 src/applets/gnome-shell/metadata.json.in |  2 +-
 3 files changed, 11 insertions(+), 3 deletions(-)

commit 2f7f01e4eeb4d553f2c3c9583ad63d2d87c865e1
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 25 11:53:41 2013 +0900

    gpaste-client: track connection errors
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/client.mk                                |  2 +-
 libgpaste/client/gpaste-client.c                   | 12 +++++--
 libgpaste/client/gpaste-client.h                   |  2 +-
 .../settings/ui/gpaste-settings-ui-notebook.c      | 38 +++++++++++++---------
 src/applets/legacy/gpaste-applet.vala              |  9 +++--
 src/gpaste/gpaste.c                                | 16 ++++-----
 6 files changed, 47 insertions(+), 32 deletions(-)

commit f124a2f4907760982b4dd8acb3f8d640b1d730ae
Merge: 657d7db e3040a6
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 23 11:29:09 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      Release GPaste 3.1
    
    Conflicts:
    	NEWS

commit e3040a684a882040964f2b3144e1a354f518c242
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Mon Sep 23 11:21:37 2013 +0900

    Release GPaste 3.1
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS      | 2 +-
 README.md | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 657d7dbfc16bd12dce5b282bf5876f3584f6cf4d
Merge: 6ab4033 98a248a
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 19 20:27:36 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      bump sonames
      add missing control center keybinding stuff

commit 98a248a1a9e304ccb2556d64d22c8621a3580483
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 19 20:27:22 2013 +0900

    bump sonames
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 libgpaste/core.mk      | 2 +-
 libgpaste/keybinder.mk | 2 +-
 libgpaste/settings.mk  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 6a5c93042a47d420c9151ba1d8520a8b06f8e3a9
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Thu Sep 19 20:24:32 2013 +0900

    add missing control center keybinding stuff
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 data/control-center/42-gpaste.xml.in.in | 4 ++++
 1 file changed, 4 insertions(+)

commit 6ab4033c84f78e578f29147abc93f4ec39eb8e76
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 18 22:53:13 2013 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 1da3fe634e307ba370a1a2da7b92c0737f30686b
Merge: 623fcba 44052c7
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 18 22:52:54 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      update TODO
    
    Conflicts:
    	TODO

commit 44052c7cb280ffd30bb446401a20cb3821ef39cc
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 18 22:51:51 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 623fcbac981d5f0e7cf0acd3de91f638f59ef6b4
Merge: 2c681f7 fa63fdd
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 18 22:50:44 2013 +0900

    Merge branch '3.0'
    
    * 3.0:
      update NEWS
      update TODO
    
    Conflicts:
    	TODO

commit fa63fdd1b2d31236af57c576e4dcfc026e307a03
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 18 22:49:37 2013 +0900

    update NEWS
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 NEWS | 2 ++
 1 file changed, 2 insertions(+)

commit 38d6ac892bbc05c9e030e456cbbc3dd5b796789b
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Sep 18 22:48:48 2013 +0900

    update TODO
    
    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 TODO | 14 +-------------
